[Touch-packages] [Bug 1885990] [NEW] server: Match has no effect in include file (upstream 3122)

2020-07-01 Thread Patel
Public bug reported:

Hello

Ubuntu version: focal 20.04 LTS
Version:
openssh-server:
  Installed: 1:8.2p1-4ubuntu0.1
  Candidate: 1:8.2p1-4ubuntu0.1
Expected: match statement in included files work as documented in the fine 
manual
What happens: the statements are ignored.


If you add Match statements in an included file, it will generate no error but 
have no effect.
The exact same statements work in the main server config file 
(/etc/ssh/sshd_config)

this is to track upstream bug 3122:

https://bugzilla.mindrot.org/show_bug.cgi?id=3122

it's fixed but will only be in 8.4 so it affects Ubuntu 20.04 LTS where
openssh is at 8.2.

I'm not *absolutely* whining for a backport since include files is a new
feature for openssl in focal so it's not a regression. Would be nice
though :),  because include files are standard for any server software
in Linux since at least a decade...

** Affects: openssh (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1885990

Title:
  server: Match has no effect in include file (upstream 3122)

Status in openssh package in Ubuntu:
  New

Bug description:
  Hello

  Ubuntu version: focal 20.04 LTS
  Version:
  openssh-server:
Installed: 1:8.2p1-4ubuntu0.1
Candidate: 1:8.2p1-4ubuntu0.1
  Expected: match statement in included files work as documented in the fine 
manual
  What happens: the statements are ignored.

  
  If you add Match statements in an included file, it will generate no error 
but have no effect.
  The exact same statements work in the main server config file 
(/etc/ssh/sshd_config)

  this is to track upstream bug 3122:

  https://bugzilla.mindrot.org/show_bug.cgi?id=3122

  it's fixed but will only be in 8.4 so it affects Ubuntu 20.04 LTS
  where openssh is at 8.2.

  I'm not *absolutely* whining for a backport since include files is a
  new feature for openssl in focal so it's not a regression. Would be
  nice though :),  because include files are standard for any server
  software in Linux since at least a decade...

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1885990/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885969] Re: package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade: installed tzdata package post-installation script subprocess returned error exit status 128

2020-07-01 Thread Kai Kasurinen
** Also affects: debconf (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to tzdata in Ubuntu.
https://bugs.launchpad.net/bugs/1885969

Title:
  package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade:
  installed tzdata package post-installation script subprocess returned
  error exit status 128

Status in debconf package in Ubuntu:
  New
Status in tzdata package in Ubuntu:
  New

Bug description:
  I dont know what is it and how debug it. All screen is down. DOWN. I
  dont know how fix it. Problemm...

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: tzdata 2020a-0ubuntu0.20.04
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu Jul  2 02:38:14 2020
  DuplicateSignature:
   package:tzdata:2020a-0ubuntu0.20.04
   Setting up tzdata (2020a-0ubuntu0.20.04) ...
   Use of uninitialized value $ret in string eq at 
/usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 134.
   dpkg: error processing package tzdata (--configure):
installed tzdata package post-installation script subprocess returned error 
exit status 128
  ErrorMessage: installed tzdata package post-installation script subprocess 
returned error exit status 128
  InstallationDate: Installed on 2020-07-01 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: tzdata
  Title: package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade: 
installed tzdata package post-installation script subprocess returned error 
exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/1885969/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885941] Re: Bug on boot

2020-07-01 Thread Daniel van Vugt
** Package changed: xorg (Ubuntu) => ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1885941

Title:
  Bug on boot

Status in Ubuntu:
  Incomplete

Bug description:
  See attached detailed file. Just started reporting internal system
  errors on boot up. Not sure why this has started - don't think I've
  installed anything recently to spark it off but there was a system
  update recently.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3.1
  ProcVersionSignature: Ubuntu 4.4.0-184.214-generic 4.4.223
  Uname: Linux 4.4.0-184-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2.23
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Wed Jul  1 18:06:26 2020
  DistUpgraded: 2020-05-30 23:46:52,273 DEBUG icon theme changed, re-reading
  DistroCodename: xenial
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller 
[8086:2a42] (rev 07) (prog-if 00 [VGA controller])
 Subsystem: Acer Incorporated [ALI] Mobile 4 Series Chipset Integrated 
Graphics Controller [1025:013c]
 Subsystem: Acer Incorporated [ALI] Mobile 4 Series Chipset Integrated 
Graphics Controller [1025:013c]
  InstallationDate: Installed on 2020-05-30 (31 days ago)
  InstallationMedia: Ubuntu 14.04.4 LTS "Trusty Tahr" - Release amd64 
(20160217.1)
  MachineType: Acer Extensa 5630
  PccardctlIdent:
   Socket 0:
 no product info available
  PccardctlStatus:
   Socket 0:
 no card
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-184-generic 
root=UUID=7db4d8a4-7f23-45ec-99b9-fd99f55368aa ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: Upgraded to xenial on 2020-05-30 (31 days ago)
  dmi.bios.date: 12/05/2008
  dmi.bios.vendor: Phoenix Technologies LTD
  dmi.bios.version: V1.25
  dmi.board.name: Homa
  dmi.board.vendor: Acer
  dmi.board.version: Rev
  dmi.chassis.type: 10
  dmi.chassis.vendor: Acer
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnPhoenixTechnologiesLTD:bvrV1.25:bd12/05/2008:svnAcer:pnExtensa5630:pvr0100:rvnAcer:rnHoma:rvrRev:cvnAcer:ct10:cvrN/A:
  dmi.product.name: Extensa 5630
  dmi.product.version: 0100
  dmi.sys.vendor: Acer
  version.compiz: compiz 1:0.9.12.3+16.04.20180221-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.91-2~16.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.5-0ubuntu0~16.04.1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.5-0ubuntu0~16.04.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.8
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1.2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Wed Jul  1 17:25:18 2020
  xserver.configfile: default
  xserver.errors:
   /dev/dri/card0: failed to set DRM interface version 1.4: Permission denied
   /dev/dri/card0: failed to set DRM interface version 1.4: Permission denied
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id5460 
   vendor CMO
  xserver.version: 2:1.18.4-0ubuntu0.8

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+bug/1885941/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1756595] Re: disk space info inadvertently provides all installed snaps

2020-07-01 Thread Bryce Harrington
** Also affects: coreutils (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1756595

Title:
  disk space info inadvertently provides all installed snaps

Status in apt package in Ubuntu:
  Fix Released
Status in coreutils package in Ubuntu:
  New
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Disco:
  Fix Released
Status in apt source package in Eoan:
  Fix Released

Bug description:
  [Impact]
  When apport is reporting a crash, it includes the output of the "df" utility, 
to list the free disk space information per mount point.

  That output nowadays will inadvertently include all snaps that the
  user may have installed, including their revision numbers.

  Here is a simple df output:
  andreas@nsn7:~$ df
  Filesystem  1K-blocksUsed Available Use% Mounted on
  udev  8119680   0   8119680   0% /dev
  tmpfs 16301561828   1628328   1% /run
  nsn7/ROOT/ubuntu433084288 2500608 430583680   1% /
  tmpfs 8150776   1   8131888   1% /dev/shm
  tmpfs5120   4  5116   1% /run/lock
  tmpfs 8150776   0   8150776   0% 
/sys/fs/cgroup
  nsn7/var/log430763136  179456 430583680   1% /var/log
  nsn7/var/tmp430583808 128 430583680   1% /var/tmp
  /dev/sda2 1032088  160336871752  16% /boot
  /dev/sda1  5232482720520528   1% /boot/efi
  nsn7/home   430651264   67584 430583680   1% /home
  nsn7/var/cache  430653312   69632 430583680   1% /var/cache
  nsn7/var/mail   430583808 128 430583680   1% /var/mail
  nsn7/var/spool  430583808 128 430583680   1% /var/spool
  tmpfs 1630152  16   1630136   1% /run/user/120
  tmpfs 100   0   100   0% 
/var/lib/lxd/shmounts
  tmpfs 100   0   100   0% 
/var/lib/lxd/devlxd
  tmpfs 1630152  36   1630116   1% 
/run/user/1000
  nsn7/lxd/containers/squid-ds216 431444096  860416 430583680   1% 
/var/lib/lxd/storage-pools/default/containers/squid-ds216
  /dev/loop0  83712   83712 0 100% 
/snap/core/4206
  /dev/loop1 102144  102144 0 100% 
/snap/git-ubuntu/402

  You can see I have the core snap at revision 4206, and git-ubuntu at
  revision 402.

  There are already many bug reports in launchpad where one can see this
  information.

  Granted, the user can review it, refuse to send this data, etc. This
  bug is about the unexpectedness of having that information in the disk
  space data.

  If the user sees a prompt like "Would you like to include disk free
  space information in your report?", or "Would you like to include the
  output of the df(1) command in your report?", that doesn't immediately
  translate to "Would you like to include disk free space information
  and a list of all installed snaps and their revision numbers in your
  report?".

  [Test case]
  Do something that triggers the apport hook and make sure you don't see snaps 
in there.

  For example, install xterm, then add exit 1 to the start of the prerm,
  then run apt remove xterm, and investigate /var/crash/xterm.0.crash
  after that (delete before running apt).

  [Regression potential]
  Fix consists of adding -x squashfs to df output, so might hide other non-snap 
squashfs images.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1756595/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1827159] Re: check_all_disks includes squashfs /snap/* which are 100%

2020-07-01 Thread Bryce Harrington
** Also affects: coreutils (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to coreutils in Ubuntu.
https://bugs.launchpad.net/bugs/1827159

Title:
  check_all_disks includes squashfs /snap/* which are 100%

Status in Nagios Charm:
  Fix Released
Status in coreutils package in Ubuntu:
  New
Status in monitoring-plugins package in Ubuntu:
  Fix Released

Bug description:
  [Impact]
  False positive reports are generated in monitoring tools when artificial 
filesystems are mounted, since they show 100% disk utilization, and thus add 
unnecessary (but dire sounding) "DISK CRITICAL" noise.

  [Test Case]
  $ lxc create ubuntu-daily:19.10/amd64 lp1827159
  $ lxc exec lp1827159 bash
  # apt-get -y update
  # apt-get install monitoring-plugins
  # snap install gnome-calculator
  [...]
  # /usr/lib/nagios/plugins/check_disk -w 10 -c 10
  DISK CRITICAL - free space: / 1903 MB (1% inode=78%); /dev 0 MB (100% 
inode=99%); /dev/full 16018 MB (100% inode=99%); /dev/null 16018 MB (100% 
inode=99%); /dev/random 16018 MB (100% inode=99%); /dev/tty 16018 MB (100% 
inode=99%); /dev/urandom 16018 MB (100% inode=99%); /dev/zero 16018 MB (100% 
inode=99%); /dev/fuse 16018 MB (100% inode=99%); /dev/net/tun 16018 MB (100% 
inode=99%); /dev/lxd 0 MB (100% inode=99%); /dev/.lxd-mounts 0 MB (100% 
inode=99%); /dev/shm 16041 MB (100% inode=99%); /run 3208 MB (99% inode=99%); 
/run/lock 5 MB (100% inode=99%); /sys/fs/cgroup 16041 MB (100% inode=99%); 
/snap 1903 MB (1% inode=78%); /run/snapd/ns 3208 MB (99% inode=99%);| 
/=71MB;119160;119160;0;119170 /dev=0MB;-10;-10;0;0 
/dev/full=0MB;16008;16008;0;16018 /dev/null=0MB;16008;16008;0;16018 
/dev/random=0MB;16008;16008;0;16018 /dev/tty=0MB;16008;16008;0;16018 
/dev/urandom=0MB;16008;16008;0;16018 /dev/zero=0MB;16008;16008;0;16018 
/dev/fuse=0MB;16008;16008;0;16018 /dev/net/tun=0MB;16008;16008;0;16018 
/dev/lxd=0MB;-10;-10;0;0 /dev/.lxd-mounts=0MB;-10;-10;0;0 
/dev/shm=0MB;16031;16031;0;16041 /run=0MB;3198;3198;0;3208 
/run/lock=0MB;-5;-5;0;5 /sys/fs/cgroup=0MB;16031;16031;0;16041 
/snap=71MB;119160;119160;0;119170 /run/snapd/ns=0MB;3198;3198;0;3208

  # /usr/lib/nagios/plugins/check_disk -w 10 -c 10 -e -X squashfs
  DISK CRITICAL - free space: /dev 0 MB (100% inode=99%); /dev/lxd 0 MB (100% 
inode=99%); /dev/.lxd-mounts 0 MB (100% inode=99%); /run/lock 5 MB (100% 
inode=99%);| /=111392MB;119160;119160;0;119170 /dev=0MB;-10;-10;0;0 
/dev/full=0MB;16008;16008;0;16018 /dev/null=0MB;16008;16008;0;16018 
/dev/random=0MB;16008;16008;0;16018 /dev/tty=0MB;16008;16008;0;16018 
/dev/urandom=0MB;16008;16008;0;16018 /dev/zero=0MB;16008;16008;0;16018 
/dev/fuse=0MB;16008;16008;0;16018 /dev/net/tun=0MB;16008;16008;0;16018 
/dev/lxd=0MB;-10;-10;0;0 /dev/.lxd-mounts=0MB;-10;-10;0;0 
/dev/shm=0MB;16031;16031;0;16041 /run=0MB;3198;3198;0;3208 
/run/lock=0MB;-5;-5;0;5 /sys/fs/cgroup=0MB;16031;16031;0;16041 
/snap=111392MB;119160;119160;0;119170 /run/snapd/ns=0MB;3198;3198;0;3208

  # /usr/lib/nagios/plugins/check_disk -w 10 -c 10 -e -X tmpfs
  DISK OK| /=71MB;119160;119160;0;119170 /dev/full=0MB;16008;16008;0;16018 
/dev/null=0MB;16008;16008;0;16018 /dev/random=0MB;16008;16008;0;16018 
/dev/tty=0MB;16008;16008;0;16018 /dev/urandom=0MB;16008;16008;0;16018 
/dev/zero=0MB;16008;16008;0;16018 /dev/fuse=0MB;16008;16008;0;16018 
/dev/net/tun=0MB;16008;16008;0;16018 /snap=71MB;119160;119160;0;119170

  [Regression Potential]
  As this alters the logic of how out-of-space checks are handled, relevant 
issues to keep an eye out for would relate to filesystem checks reporting 
improperly.  These tools underlay a few different front-ends, so regression 
bugs may get filed in a few different places, however they will tend to display 
error messages involving check_disk, nagios, and either tmpfs or tracefs.

  Note that there are likely other synthetic filesystems beyond tmpfs
  and tracefs (e.g. udev, usbfs, devtmpfs, fuse.*, ...) which might also
  cause similar false positives; these should be handled as separate
  bugs, although they can likely be fixed the same way.

  [Fix]
  monitoring-plugins is modified to exclude the unwanted filesystems by 
default, in check_disk.c (see patch).

  [Discussion]
  There have been several bug reports filed about false positives with 
different synthetic file systems (see Dupes), including tracefs, squashfs, and 
tmpfs.  The commonly discussed workaround is to exclude these when running the 
tools (e.g. using the '-X ' parameter for check_all_disks).  Since wrappers 
are typically used for running the underlying tools, it is possible to add a 
string of -X... parameters.

  However, a cleaner solution is possible.  monitoring-plugins'
  check_disk.c maintains an internal exclusion list, fs_exclude_list,
  which already excludes iso9660, and can be modified to add other
  filesystems to exclude by default.

  In other words, check_disk.c is 

[Touch-packages] [Bug 1885969] [NEW] package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade: installed tzdata package post-installation script subprocess returned error exit status 128

2020-07-01 Thread Pavel Bondarenko
Public bug reported:

I dont know what is it and how debug it. All screen is down. DOWN. I
dont know how fix it. Problemm...

ProblemType: Package
DistroRelease: Ubuntu 20.04
Package: tzdata 2020a-0ubuntu0.20.04
ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
Uname: Linux 5.4.0-39-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
CasperMD5CheckResult: skip
Date: Thu Jul  2 02:38:14 2020
DuplicateSignature:
 package:tzdata:2020a-0ubuntu0.20.04
 Setting up tzdata (2020a-0ubuntu0.20.04) ...
 Use of uninitialized value $ret in string eq at 
/usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 134.
 dpkg: error processing package tzdata (--configure):
  installed tzdata package post-installation script subprocess returned error 
exit status 128
ErrorMessage: installed tzdata package post-installation script subprocess 
returned error exit status 128
InstallationDate: Installed on 2020-07-01 (0 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
PackageArchitecture: all
Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
PythonDetails: N/A
RelatedPackageVersions:
 dpkg 1.19.7ubuntu3
 apt  2.0.2ubuntu0.1
SourcePackage: tzdata
Title: package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade: installed 
tzdata package post-installation script subprocess returned error exit status 
128
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: tzdata (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to tzdata in Ubuntu.
https://bugs.launchpad.net/bugs/1885969

Title:
  package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade:
  installed tzdata package post-installation script subprocess returned
  error exit status 128

Status in tzdata package in Ubuntu:
  New

Bug description:
  I dont know what is it and how debug it. All screen is down. DOWN. I
  dont know how fix it. Problemm...

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: tzdata 2020a-0ubuntu0.20.04
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu Jul  2 02:38:14 2020
  DuplicateSignature:
   package:tzdata:2020a-0ubuntu0.20.04
   Setting up tzdata (2020a-0ubuntu0.20.04) ...
   Use of uninitialized value $ret in string eq at 
/usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 134.
   dpkg: error processing package tzdata (--configure):
installed tzdata package post-installation script subprocess returned error 
exit status 128
  ErrorMessage: installed tzdata package post-installation script subprocess 
returned error exit status 128
  InstallationDate: Installed on 2020-07-01 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: tzdata
  Title: package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade: 
installed tzdata package post-installation script subprocess returned error 
exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/tzdata/+bug/1885969/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885969] Re: package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade: installed tzdata package post-installation script subprocess returned error exit status 128

2020-07-01 Thread Apport retracing service
** Tags removed: need-duplicate-check

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to tzdata in Ubuntu.
https://bugs.launchpad.net/bugs/1885969

Title:
  package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade:
  installed tzdata package post-installation script subprocess returned
  error exit status 128

Status in tzdata package in Ubuntu:
  New

Bug description:
  I dont know what is it and how debug it. All screen is down. DOWN. I
  dont know how fix it. Problemm...

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: tzdata 2020a-0ubuntu0.20.04
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu Jul  2 02:38:14 2020
  DuplicateSignature:
   package:tzdata:2020a-0ubuntu0.20.04
   Setting up tzdata (2020a-0ubuntu0.20.04) ...
   Use of uninitialized value $ret in string eq at 
/usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 134.
   dpkg: error processing package tzdata (--configure):
installed tzdata package post-installation script subprocess returned error 
exit status 128
  ErrorMessage: installed tzdata package post-installation script subprocess 
returned error exit status 128
  InstallationDate: Installed on 2020-07-01 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: tzdata
  Title: package tzdata 2020a-0ubuntu0.20.04 failed to install/upgrade: 
installed tzdata package post-installation script subprocess returned error 
exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/tzdata/+bug/1885969/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874953] Re: dpkg: conffile difference visualizer subprocess returned error exit status 127

2020-07-01 Thread Brian Murray
** Changed in: less (Ubuntu Focal)
   Status: Triaged => In Progress

** Changed in: less (Ubuntu Focal)
Milestone: None => ubuntu-20.04.1

** Changed in: less (Ubuntu Focal)
 Assignee: (unassigned) => Brian Murray (brian-murray)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1874953

Title:
  dpkg: conffile difference visualizer subprocess returned error exit
  status 127

Status in dpkg package in Ubuntu:
  Invalid
Status in less package in Ubuntu:
  Fix Released
Status in smartmontools package in Ubuntu:
  Invalid
Status in dpkg source package in Focal:
  Invalid
Status in less source package in Focal:
  In Progress
Status in smartmontools source package in Focal:
  Invalid
Status in dpkg source package in Groovy:
  Invalid
Status in less source package in Groovy:
  Fix Released
Status in smartmontools source package in Groovy:
  Invalid
Status in dpkg package in Debian:
  New
Status in less package in Debian:
  Fix Committed

Bug description:
  [Impact]
  During a release upgrade to Ubuntu 20.04 LTS some users are not able to view 
the differences made to a configuration file during the upgrade process. This 
creates a bad user experience and leads to extra crash reports.

  [Test Case]
  1) Upgrade from a not usr-merged system (Ubuntu 16.04 LTS) to Ubuntu 18.04 LTS
  2) Install the smartmontools package
  3) Edit /etc/default/smartmontools (it's enough to just add a comment in 
there)
  4) Upgrade to Ubuntu 20.04 LTS (this requires do-release-upgrade -d as 
20.04.1 is not out yet so release upgrades are not enabled)

  To test the fix in the version of less from focal-proposed some
  hackery of the release upgrader code will be necessary as it disables
  proposed during the upgrade process. After enabling -proposed for
  bionic you'll want to run do-release-upgrade -d, then cancel the
  upgrade. After which you can cd to /tmp/ubuntu-release-
  upgrader-$MKTMPDIR and edit DistUpgradeController.py and the if
  statement around line 641 re "Disable proposed on upgrade to a
  development release". Then run 'sudo ./focal'.

  [Regression Potential]
  None, as we are just calling update-alternatives in the preinst of less.

  
  Issue occurred on upgrade from 19.10 to 20.04

  ProblemType: PackageDistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 21:33:08 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2011-06-18 (3233 days ago)InstallationMedia: 
Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 (20110426)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-25 (0 days ago)
  mtime.conffile..etc.default.smartmontools: 2017-12-08T19:12:02.064375
  mtime.conffile..etc.smartd.conf: 2017-12-08T20:27:28.727282

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1874953/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874953] Re: dpkg: conffile difference visualizer subprocess returned error exit status 127

2020-07-01 Thread Brian Murray
** Description changed:

+ [Impact]
+ During a release upgrade to Ubuntu 20.04 LTS some users are not able to view 
the differences made to a configuration file during the upgrade process. This 
creates a bad user experience and leads to extra crash reports.
+ 
+ [Test Case]
+ 1) Upgrade from a not usr-merged system (Ubuntu 16.04 LTS) to Ubuntu 18.04 LTS
+ 2) Install the smartmontools package
+ 3) Edit /etc/default/smartmontools (it's enough to just add a comment in 
there)
+ 4) Upgrade to Ubuntu 20.04 LTS (this requires do-release-upgrade -d as 
20.04.1 is not out yet so release upgrades are not enabled)
+ 
+ To test the fix in the version of less from focal-proposed some hackery
+ of the release upgrader code will be necessary as it disables proposed
+ during the upgrade process. After enabling -proposed for bionic you'll
+ want to run do-release-upgrade -d, then cancel the upgrade. After which
+ you can cd to /tmp/ubuntu-release-upgrader-$MKTMPDIR and edit
+ DistUpgradeController.py and the if statement around line 641 re
+ "Disable proposed on upgrade to a development release". Then run 'sudo
+ ./focal'.
+ 
+ [Regression Potential]
+ None, as we are just calling update-alternatives in the preinst of less.
+ 
+ 
  Issue occurred on upgrade from 19.10 to 20.04
  
- ProblemType: Package
- DistroRelease: Ubuntu 20.04
+ ProblemType: PackageDistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 21:33:08 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
- InstallationDate: Installed on 2011-06-18 (3233 days ago)
- InstallationMedia: Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 
(20110426)
+ InstallationDate: Installed on 2011-06-18 (3233 days ago)InstallationMedia: 
Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 (20110426)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
-  dpkg 1.19.7ubuntu3
-  apt  2.0.2
- SourcePackage: smartmontools
+  dpkg 1.19.7ubuntu3
+  apt  2.0.2SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-25 (0 days ago)
  mtime.conffile..etc.default.smartmontools: 2017-12-08T19:12:02.064375
  mtime.conffile..etc.smartd.conf: 2017-12-08T20:27:28.727282

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1874953

Title:
  dpkg: conffile difference visualizer subprocess returned error exit
  status 127

Status in dpkg package in Ubuntu:
  Invalid
Status in less package in Ubuntu:
  Fix Released
Status in smartmontools package in Ubuntu:
  Invalid
Status in dpkg source package in Focal:
  Invalid
Status in less source package in Focal:
  Triaged
Status in smartmontools source package in Focal:
  Invalid
Status in dpkg source package in Groovy:
  Invalid
Status in less source package in Groovy:
  Fix Released
Status in smartmontools source package in Groovy:
  Invalid
Status in dpkg package in Debian:
  New
Status in less package in Debian:
  Fix Committed

Bug description:
  [Impact]
  During a release upgrade to Ubuntu 20.04 LTS some users are not able to view 
the differences made to a configuration file during the upgrade process. This 
creates a bad user experience and leads to extra crash reports.

  [Test Case]
  1) Upgrade from a not usr-merged system (Ubuntu 16.04 LTS) to Ubuntu 18.04 LTS
  2) Install the smartmontools package
  3) Edit /etc/default/smartmontools (it's enough to just add a comment in 
there)
  4) Upgrade to Ubuntu 20.04 LTS (this requires do-release-upgrade -d as 
20.04.1 is not out yet so release upgrades are not enabled)

  To test the fix in the version of less from focal-proposed some
  hackery of the release upgrader code will be necessary as it disables
  proposed during the upgrade process. After enabling -proposed for
  bionic you'll want to run do-release-upgrade -d, then cancel the
  upgrade. After which you can cd to /tmp/ubuntu-release-
  upgrader-$MKTMPDIR and edit DistUpgradeController.py and the if
  statement around line 641 re "Disable proposed on upgrade to a
  development release". Then run 'sudo ./focal'.

  [Regression Potential]
  None, as we are just calling update-alternatives in the preinst of less.

  
  Issue occurred on upgrade from 19.10 to 20.04

  ProblemType: PackageDistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 

[Touch-packages] [Bug 1625324] Re: prints pdf files very faintly on EPSON WF-7620. All other types of files print normally

2020-07-01 Thread Sebastien Bacher
Thank you for taking the time to report this bug and trying to help make Ubuntu 
better. However, it seems that you are not using a software package provided by 
the official Ubuntu repositories. Because of this the Ubuntu project can not 
support or fix your particular bug. Please report this bug to the provider of 
the software package. Thanks!
If you are interested in learning more about software repositories and Ubuntu, 
check https://help.ubuntu.com/community/Repositories.

** Package changed: evince (Ubuntu) => cups (Ubuntu)

** Changed in: cups (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cups in Ubuntu.
https://bugs.launchpad.net/bugs/1625324

Title:
  prints pdf files very faintly on EPSON WF-7620.  All other types of
  files print normally

Status in cups package in Ubuntu:
  Incomplete

Bug description:
  Printer is installed as a network printer.  Windows does not print pdf
  files faintly.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: evince 3.18.2-1ubuntu4
  ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
  Uname: Linux 4.4.0-36-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon Sep 19 15:06:37 2016
  InstallationDate: Installed on 2016-08-09 (41 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  ProcEnviron:
   LANGUAGE=en_US
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evince
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1625324/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1625324] Re: prints pdf files very faintly on EPSON WF-7620. All other types of files print normally

2020-07-01 Thread Sebastien Bacher
Thank you for taking the time to report this bug and helping to make Ubuntu 
better. We are sorry that we do not always have the capacity to look at all 
reported bugs in a timely manner. There have been many changes in Ubuntu since 
that time you reported the bug and your problem may have been fixed with some 
of the updates. It would help us a lot if you could test it on a currently 
supported Ubuntu version. When you test it and it is still an issue, kindly 
upload the updated logs by running only once:
apport-collect 1625324

and any other logs that are relevant for this particular issue.

** Changed in: cups (Ubuntu)
   Importance: Undecided => Low

** Changed in: cups (Ubuntu)
   Status: Invalid => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cups in Ubuntu.
https://bugs.launchpad.net/bugs/1625324

Title:
  prints pdf files very faintly on EPSON WF-7620.  All other types of
  files print normally

Status in cups package in Ubuntu:
  Incomplete

Bug description:
  Printer is installed as a network printer.  Windows does not print pdf
  files faintly.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: evince 3.18.2-1ubuntu4
  ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
  Uname: Linux 4.4.0-36-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon Sep 19 15:06:37 2016
  InstallationDate: Installed on 2016-08-09 (41 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  ProcEnviron:
   LANGUAGE=en_US
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evince
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1625324/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1625324] [NEW] prints pdf files very faintly on EPSON WF-7620. All other types of files print normally

2020-07-01 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

Printer is installed as a network printer.  Windows does not print pdf
files faintly.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: evince 3.18.2-1ubuntu4
ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
Uname: Linux 4.4.0-36-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Sep 19 15:06:37 2016
InstallationDate: Installed on 2016-08-09 (41 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
ProcEnviron:
 LANGUAGE=en_US
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: evince
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: cups (Ubuntu)
 Importance: Undecided
 Status: Invalid


** Tags: amd64 apport-bug xenial
-- 
prints pdf files very faintly on EPSON WF-7620.  All other types of files print 
normally
https://bugs.launchpad.net/bugs/1625324
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to cups in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1866303] Re: slapd crash with pwdAccountLockedTime and stacked overlays

2020-07-01 Thread Launchpad Bug Tracker
** Merge proposal linked:
   
https://code.launchpad.net/~ahasenack/ubuntu/+source/openldap/+git/openldap/+merge/386701

** Merge proposal linked:
   
https://code.launchpad.net/~ahasenack/ubuntu/+source/openldap/+git/openldap/+merge/386702

** Merge proposal linked:
   
https://code.launchpad.net/~ahasenack/ubuntu/+source/openldap/+git/openldap/+merge/386703

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1866303

Title:
  slapd crash with pwdAccountLockedTime and stacked overlays

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Xenial:
  In Progress
Status in openldap source package in Bionic:
  In Progress
Status in openldap source package in Disco:
  Won't Fix
Status in openldap source package in Eoan:
  In Progress
Status in openldap package in Debian:
  Fix Released

Bug description:
  [Impact]
  In the configuration and conditions described below, slapd can crash:

  1. ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  [Test Case]

  * get the files from the bug:
  mkdir slapd-test-case; cd slapd-test-case
  wget -ct0 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334194/+files/slapd.conf
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334195/+files/data.ldif
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334196/+files/samba.schema
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334197/+files/script

  * run the script:
  sudo apt update && sudo sh ./script

  * With the bug, the result is:
  ldap_bind: Invalid credentials (49)
  slapd dead

  * If when confirming the bug you don't see "slapd dead" like above,
  check manually, as slapd might have been in the process of shutting
  down when the script checked its status: "sudo systemctl status slapd"

  * With the fixed packages, you get a living slapd at the end (you can
  run the script again on the same system after updating the packages):

  sudo sh ./script
  ...
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  [Regression Potential]
  The fix is in the password policy overlay (not enabled by default), so any 
regressions would be around that area and could potentially impact 
authentication ("binding") to openldap.

  [Other Info]
  This was fixed in focal and "cooked" there for a long while, as suggested by 
the Debian maintainer. We haven't received further bug reports about this in 
focal+.

  [Original Description]

  Hello,

  Please merge openldap 2.4.49+dfsg-2 from Debian unstable to fix an
  issue in the ppolicy overlay that can crash slapd. Please also
  consider SRUing the patch after it has had some testing time.

  Upstream: https://openldap.org/its/?findid=9171
  Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=953150

  The ingredients for the crash are:

  1: ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  The buggy code is not as specific as the above steps, so I suspect
  there are probably other configurations or steps that can trigger the
  same crash.

  I will attach my test script and data for reproducing the crash.

  Expected output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  Actual output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd dead

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1866303] Re: slapd crash with pwdAccountLockedTime and stacked overlays

2020-07-01 Thread Andreas Hasenack
** Description changed:

- [Impact] 
+ [Impact]
  In the configuration and conditions described below, slapd can crash:
  
  1. ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control
- 
  
  [Test Case]
  
  * get the files from the bug:
  mkdir slapd-test-case; cd slapd-test-case
  wget -ct0 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334194/+files/slapd.conf
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334195/+files/data.ldif
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334196/+files/samba.schema
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334197/+files/script
  
  * run the script:
  sudo apt update && sudo sh ./script
  
  * With the bug, the result is:
  ldap_bind: Invalid credentials (49)
  slapd dead
  
  * If when confirming the bug you don't see "slapd dead" like above,
  check manually, as slapd might have been in the process of shutting down
  when the script checked its status: "sudo systemctl status slapd"
  
- * With the fixed packages, you get a living slapd at the end (you can run the 
script again on the same system):
- sudo add-apt-repository ppa:ahasenack/slapd-crash-bug-1866303 -y -u
+ * With the fixed packages, you get a living slapd at the end (you can
+ run the script again on the same system after updating the packages):
+ 
  sudo sh ./script
  ...
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running
  
- [Regression Potential] 
+ [Regression Potential]
  The fix is in the password policy overlay (not enabled by default), so any 
regressions would be around that area and could potentially impact 
authentication ("binding") to openldap.
  
  [Other Info]
  This was fixed in focal and "cooked" there for a long while, as suggested by 
the Debian maintainer. We haven't received further bug reports about this in 
focal+.
- 
  
  [Original Description]
  
  Hello,
  
  Please merge openldap 2.4.49+dfsg-2 from Debian unstable to fix an issue
  in the ppolicy overlay that can crash slapd. Please also consider SRUing
  the patch after it has had some testing time.
  
  Upstream: https://openldap.org/its/?findid=9171
  Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=953150
  
  The ingredients for the crash are:
  
  1: ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control
  
  The buggy code is not as specific as the above steps, so I suspect there
  are probably other configurations or steps that can trigger the same
  crash.
  
  I will attach my test script and data for reproducing the crash.
  
  Expected output (last lines):
  
  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running
  
  Actual output (last lines):
  
  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd dead

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1866303

Title:
  slapd crash with pwdAccountLockedTime and stacked overlays

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Xenial:
  In Progress
Status in openldap source package in Bionic:
  In Progress
Status in openldap source package in Disco:
  Won't Fix
Status in openldap source package in Eoan:
  In Progress
Status in openldap package in Debian:
  Fix Released

Bug description:
  [Impact]
  In the configuration and conditions described below, slapd can crash:

  1. ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  [Test Case]

  * get the files from the bug:
  mkdir slapd-test-case; cd slapd-test-case
  wget -ct0 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334194/+files/slapd.conf
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334195/+files/data.ldif
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334196/+files/samba.schema
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334197/+files/script

  * run the script:
  sudo apt update && sudo sh ./script

  * With the bug, the result is:
  ldap_bind: Invalid credentials (49)
  slapd dead

  * If when confirming the bug you don't see "slapd dead" like above,
  check manually, as slapd might have been in the process of shutting
  down 

[Touch-packages] [Bug 1866303] Re: slapd crash with pwdAccountLockedTime and stacked overlays

2020-07-01 Thread Andreas Hasenack
** Description changed:

+ [Impact] 
+ In the configuration and conditions described below, slapd can crash:
+ 
+ 1. ppolicy overlay configured with pwdLockout: TRUE
+ 2. smbk5pwd overlay stacked after ppolicy
+ 3. an account locked out via pwdAccountLockedTime
+ 4. a client binding to the locked-out account and also requesting the ppolicy 
control
+ 
+ 
+ [Test Case]
+ 
+ * get the files from the bug:
+ mkdir slapd-test-case; cd slapd-test-case
+ wget -ct0 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334194/+files/slapd.conf
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334195/+files/data.ldif
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334196/+files/samba.schema
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334197/+files/script
+ 
+ * run the script:
+ sudo apt update && sudo sh ./script
+ 
+ * With the bug, the result is:
+ ldap_bind: Invalid credentials (49)
+ slapd dead
+ 
+ * If when confirming the bug you don't see "slapd dead" like above,
+ check manually, as slapd might have been in the process of shutting down
+ when the script checked its status: "sudo systemctl status slapd"
+ 
+ * With the fixed packages, you get a living slapd at the end (you can run the 
script again on the same system):
+ sudo add-apt-repository ppa:ahasenack/slapd-crash-bug-1866303 -y -u
+ sudo sh ./script
+ ...
+ slapd running
+ ldap_bind: Invalid credentials (49)
+ slapd running
+ 
+ [Regression Potential] 
+ The fix is in the password policy overlay (not enabled by default), so any 
regressions would be around that area and could potentially impact 
authentication ("binding") to openldap.
+ 
+ [Other Info]
+ This was fixed in focal and "cooked" there for a long while, as suggested by 
the Debian maintainer. We haven't received further bug reports about this in 
focal+.
+ 
+ 
+ [Original Description]
+ 
  Hello,
  
  Please merge openldap 2.4.49+dfsg-2 from Debian unstable to fix an issue
  in the ppolicy overlay that can crash slapd. Please also consider SRUing
  the patch after it has had some testing time.
  
  Upstream: https://openldap.org/its/?findid=9171
  Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=953150
  
  The ingredients for the crash are:
  
  1: ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control
  
  The buggy code is not as specific as the above steps, so I suspect there
  are probably other configurations or steps that can trigger the same
  crash.
  
  I will attach my test script and data for reproducing the crash.
  
  Expected output (last lines):
  
  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running
  
  Actual output (last lines):
  
  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd dead

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1866303

Title:
  slapd crash with pwdAccountLockedTime and stacked overlays

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Xenial:
  In Progress
Status in openldap source package in Bionic:
  In Progress
Status in openldap source package in Disco:
  Won't Fix
Status in openldap source package in Eoan:
  In Progress
Status in openldap package in Debian:
  Fix Released

Bug description:
  [Impact] 
  In the configuration and conditions described below, slapd can crash:

  1. ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  
  [Test Case]

  * get the files from the bug:
  mkdir slapd-test-case; cd slapd-test-case
  wget -ct0 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334194/+files/slapd.conf
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334195/+files/data.ldif
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334196/+files/samba.schema
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334197/+files/script

  * run the script:
  sudo apt update && sudo sh ./script

  * With the bug, the result is:
  ldap_bind: Invalid credentials (49)
  slapd dead

  * If when confirming the bug you don't see "slapd dead" like above,
  check manually, as slapd might have been in the process of shutting
  down when the script checked its status: "sudo systemctl status slapd"

  * With the fixed packages, you get a living slapd at the end (you can run the 
script again on the same system):
 

[Touch-packages] [Bug 1885941] Re: Bug on boot

2020-07-01 Thread Sebastien Bacher
Thank you for taking the time to report this bug and help make Ubuntu
better. Unfortunately, we cannot work on this bug because your
description didn't include enough information. You may find it helpful
to read 'How to report bugs effectively'
http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful
if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at
http://wiki.ubuntu.com/DebuggingProcedures.

At a minimum, we need:
1. The specific steps or actions you took that caused you to encounter the 
problem.
2. The behavior you expected.
3. The behavior you actually encountered (in as much detail as possible).

Thanks!

** Changed in: xorg (Ubuntu)
   Importance: Undecided => Low

** Changed in: xorg (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1885941

Title:
  Bug on boot

Status in xorg package in Ubuntu:
  Incomplete

Bug description:
  See attached detailed file. Just started reporting internal system
  errors on boot up. Not sure why this has started - don't think I've
  installed anything recently to spark it off but there was a system
  update recently.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3.1
  ProcVersionSignature: Ubuntu 4.4.0-184.214-generic 4.4.223
  Uname: Linux 4.4.0-184-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2.23
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Wed Jul  1 18:06:26 2020
  DistUpgraded: 2020-05-30 23:46:52,273 DEBUG icon theme changed, re-reading
  DistroCodename: xenial
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller 
[8086:2a42] (rev 07) (prog-if 00 [VGA controller])
 Subsystem: Acer Incorporated [ALI] Mobile 4 Series Chipset Integrated 
Graphics Controller [1025:013c]
 Subsystem: Acer Incorporated [ALI] Mobile 4 Series Chipset Integrated 
Graphics Controller [1025:013c]
  InstallationDate: Installed on 2020-05-30 (31 days ago)
  InstallationMedia: Ubuntu 14.04.4 LTS "Trusty Tahr" - Release amd64 
(20160217.1)
  MachineType: Acer Extensa 5630
  PccardctlIdent:
   Socket 0:
 no product info available
  PccardctlStatus:
   Socket 0:
 no card
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-184-generic 
root=UUID=7db4d8a4-7f23-45ec-99b9-fd99f55368aa ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: Upgraded to xenial on 2020-05-30 (31 days ago)
  dmi.bios.date: 12/05/2008
  dmi.bios.vendor: Phoenix Technologies LTD
  dmi.bios.version: V1.25
  dmi.board.name: Homa
  dmi.board.vendor: Acer
  dmi.board.version: Rev
  dmi.chassis.type: 10
  dmi.chassis.vendor: Acer
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnPhoenixTechnologiesLTD:bvrV1.25:bd12/05/2008:svnAcer:pnExtensa5630:pvr0100:rvnAcer:rnHoma:rvrRev:cvnAcer:ct10:cvrN/A:
  dmi.product.name: Extensa 5630
  dmi.product.version: 0100
  dmi.sys.vendor: Acer
  version.compiz: compiz 1:0.9.12.3+16.04.20180221-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.91-2~16.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.5-0ubuntu0~16.04.1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.5-0ubuntu0~16.04.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.8
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1.2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Wed Jul  1 17:25:18 2020
  xserver.configfile: default
  xserver.errors:
   /dev/dri/card0: failed to set DRM interface version 1.4: Permission denied
   /dev/dri/card0: failed to set DRM interface version 1.4: Permission denied
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id5460 
   vendor CMO
  xserver.version: 2:1.18.4-0ubuntu0.8

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1885941/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1866303] Re: slapd crash with pwdAccountLockedTime and stacked overlays

2020-07-01 Thread Andreas Hasenack
This fix was added to focal, and we haven't received any crash reports
about it as far as I know, so I'm proceeding with the SRU for the other
ubuntu releases.

** Changed in: openldap (Ubuntu Xenial)
   Status: New => In Progress

** Changed in: openldap (Ubuntu Xenial)
 Assignee: (unassigned) => Andreas Hasenack (ahasenack)

** Changed in: openldap (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: openldap (Ubuntu Bionic)
 Assignee: (unassigned) => Andreas Hasenack (ahasenack)

** Changed in: openldap (Ubuntu Eoan)
   Status: New => In Progress

** Changed in: openldap (Ubuntu Eoan)
 Assignee: (unassigned) => Andreas Hasenack (ahasenack)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1866303

Title:
  slapd crash with pwdAccountLockedTime and stacked overlays

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Xenial:
  In Progress
Status in openldap source package in Bionic:
  In Progress
Status in openldap source package in Disco:
  Won't Fix
Status in openldap source package in Eoan:
  In Progress
Status in openldap package in Debian:
  Fix Released

Bug description:
  Hello,

  Please merge openldap 2.4.49+dfsg-2 from Debian unstable to fix an
  issue in the ppolicy overlay that can crash slapd. Please also
  consider SRUing the patch after it has had some testing time.

  Upstream: https://openldap.org/its/?findid=9171
  Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=953150

  The ingredients for the crash are:

  1: ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  The buggy code is not as specific as the above steps, so I suspect
  there are probably other configurations or steps that can trigger the
  same crash.

  I will attach my test script and data for reproducing the crash.

  Expected output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  Actual output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd dead

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885313] Re: evince crashes when opening rfc8798.pdf

2020-07-01 Thread Sebastien Bacher
The focal version of poppler doesn't have the issue as pointed in the
Debian report

** Package changed: evince (Ubuntu) => poppler (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to poppler in Ubuntu.
https://bugs.launchpad.net/bugs/1885313

Title:
  evince crashes when opening rfc8798.pdf

Status in poppler package in Ubuntu:
  Fix Released
Status in evince package in Debian:
  New

Bug description:
  evince reproducabely crashes when opening the file rfc8798.pdf from
  https://www.rfc-editor.org/rfc/rfc8798.pdf:

  $ evince --version
  GNOME Document Viewer 3.28.4
  $ evince rfc8798.pdf
  Segmentation fault (core dumped)
  $ cat /etc/lsb-release 
  DISTRIB_ID=Ubuntu
  DISTRIB_RELEASE=18.04
  DISTRIB_CODENAME=bionic
  DISTRIB_DESCRIPTION="Ubuntu 18.04.4 LTS"

  Required information:

  1) Ubuntu release info:
  $ lsb_release -rd
  Description:Ubuntu 18.04.4 LTS
  Release:18.04

  2) Package version info:
  $ apt-cache policy evince
  evince:
Installed: 3.28.4-0ubuntu1.2
Candidate: 3.28.4-0ubuntu1.2
Version table:
   *** 3.28.4-0ubuntu1.2 500
  500 http://de.archive.ubuntu.com/ubuntu bionic-updates/main amd64 
Packages
  500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 
Packages
  100 /var/lib/dpkg/status
   3.28.2-1 500
  500 http://de.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

  3) Expected outcome:
  I expected evince to successfully open the PDF, allowing me to read the 
document.

  4) Observed behavior:
  The default PDF reader of Ubuntu, evince, crashed (reporting a "segmentation 
fault".

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/poppler/+bug/1885313/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885313] [NEW] evince crashes when opening rfc8798.pdf

2020-07-01 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

evince reproducabely crashes when opening the file rfc8798.pdf from
https://www.rfc-editor.org/rfc/rfc8798.pdf:

$ evince --version
GNOME Document Viewer 3.28.4
$ evince rfc8798.pdf
Segmentation fault (core dumped)
$ cat /etc/lsb-release 
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION="Ubuntu 18.04.4 LTS"

Required information:

1) Ubuntu release info:
$ lsb_release -rd
Description:Ubuntu 18.04.4 LTS
Release:18.04

2) Package version info:
$ apt-cache policy evince
evince:
  Installed: 3.28.4-0ubuntu1.2
  Candidate: 3.28.4-0ubuntu1.2
  Version table:
 *** 3.28.4-0ubuntu1.2 500
500 http://de.archive.ubuntu.com/ubuntu bionic-updates/main amd64 
Packages
500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 
Packages
100 /var/lib/dpkg/status
 3.28.2-1 500
500 http://de.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

3) Expected outcome:
I expected evince to successfully open the PDF, allowing me to read the 
document.

4) Observed behavior:
The default PDF reader of Ubuntu, evince, crashed (reporting a "segmentation 
fault".

** Affects: poppler (Ubuntu)
 Importance: High
 Status: Fix Released

** Affects: evince (Debian)
 Importance: Unknown
 Status: New


** Tags: bionic snap
-- 
evince crashes when opening rfc8798.pdf
https://bugs.launchpad.net/bugs/1885313
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to poppler in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1787225] Re: systemctl disable apache2 does nothing

2020-07-01 Thread Bryce Harrington
Closing as expired.

** Changed in: apache2 (Ubuntu)
   Status: Incomplete => Invalid

** Changed in: systemd (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1787225

Title:
  systemctl disable apache2 does nothing

Status in apache2 package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Invalid

Bug description:
  I installed apache2 on Ubuntu 16.04, and out of the box it was enabled
  as a service, meaning it would automatically start at every boot. That
  is not what I want as this is my personal computer, not a server.

  $ systemctl is-enabled apache2.service 
  enabled

  
  So I ran:

  $ sudo systemctl disable apache2

  and this was the output:
 apache2.service is not a native service, redirecting to 
systemd-sysv-install
 Executing /lib/systemd/systemd-sysv-install disable apache2
 insserv: warning: current start runlevel(s) (empty) of script `apache2' 
overrides LSB defaults (2 3 4 5).
 insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script 
`apache2' overrides LSB defaults (0 1 6).
 insserv: warning: current start runlevel(s) (empty) of script `apache2' 
overrides LSB defaults (2 3 4 5).
 insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script 
`apache2' overrides LSB defaults (0 1 6).

  Then I rebooted. I expected to find apache2 not running. Instead, it was 
running.
  Surprisingly:

  $ systemctl is-enabled apache2.service 
  apache2.service is not a native service, redirecting to systemd-sysv-install
  Executing /lib/systemd/systemd-sysv-install is-enabled apache2
  disabled

  so, it shows up as disabled, yet it is started at startup.

  
  I wonder if this is what those warnings were about. Those messages are 
unclear as fuck, I have no f***ing clue what they are supposed to mean. I read 
that the CURRENT runlevel overrides a DEFAULT. I guess that should be fine, 
unless what systemctl actually changes are the defaults, and those are 
overwritten by something else, which means that "sysctl disable" will have no 
effect. If that is the case, then the warning should be more explicit:
  - be specific about the fact that "LSB defaults" are what the command is 
changing
  - tell me that as a result, the services will not be disabled
  - tell me WHAT is overriding the defaults that I'm attempting to change
  - and/or tell me what I am supposed to do to fix the issue

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: systemd 229-4ubuntu21.4
  ProcVersionSignature: Ubuntu 4.4.0-133.159-generic 4.4.134
  Uname: Linux 4.4.0-133-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Wed Aug 15 16:26:28 2018
  InstallationDate: Installed on 2013-10-11 (1768 days ago)
  InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
  MachineType: Acer Aspire V3-571G
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-133-generic.efi.signed 
root=UUID=5830b30e-69e8-4bb4-8a2b-bc2b43c7414a ro quiet splash vt.handoff=7
  SourcePackage: systemd
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/15/2012
  dmi.bios.vendor: Acer
  dmi.bios.version: V2.07
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: VA50_HC_CR
  dmi.board.vendor: Acer
  dmi.board.version: Type2 - Board Version
  dmi.chassis.type: 10
  dmi.chassis.vendor: Acer
  dmi.chassis.version: V2.07
  dmi.modalias: 
dmi:bvnAcer:bvrV2.07:bd10/15/2012:svnAcer:pnAspireV3-571G:pvrV2.07:rvnAcer:rnVA50_HC_CR:rvrType2-BoardVersion:cvnAcer:ct10:cvrV2.07:
  dmi.product.name: Aspire V3-571G
  dmi.product.version: V2.07
  dmi.sys.vendor: Acer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apache2/+bug/1787225/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1822712] Re: https mirrors apport-retrace crashed with SystemError in _get_primary_mirror_from_apt_sources(): cannot determine default mirror: /etc/apt/sources.list does not cont

2020-07-01 Thread Bryan Quigley
Sources was: 
deb https://mirrors.rit.edu/ubuntu/ focal main restricted universe multiverse
deb-src https://mirrors.rit.edu/ubuntu/ focal main restricted universe 
multiverse
deb https://mirrors.rit.edu/ubuntu/ focal-updates main restricted universe 
multiverse
deb-src https://mirrors.rit.edu/ubuntu/ focal-updates main restricted universe 
multiverse
deb https://mirrors.rit.edu/ubuntu/ focal-security main restricted universe 
multiverse
deb-src https://mirrors.rit.edu/ubuntu/ focal-security main restricted universe 
multiverse

but I haven't reproduced this in over a year, so I'm going to close it.

** Changed in: apport (Ubuntu)
   Status: Incomplete => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1822712

Title:
  https mirrors apport-retrace crashed with SystemError in
  _get_primary_mirror_from_apt_sources(): cannot determine default
  mirror: /etc/apt/sources.list does not contain a valid deb line

Status in apport package in Ubuntu:
  Invalid

Bug description:
  1. Have other crash occur.
  2. Click retrace locally.
  3. apport-retrace crashes.

  The only thing I can think is it's the fact that i changed my mirror to:
  deb https://mirrors.ocf.berkeley.edu/ubuntu/ disco main restricted universe 
multiverse
  deb-src https://mirrors.ocf.berkeley.edu/ubuntu/ disco main restricted 
universe multiverse

  ProblemType: Crash
  DistroRelease: Ubuntu 19.04
  Package: apport-retrace 2.20.10-0ubuntu23
  ProcVersionSignature: Ubuntu 5.0.0-8.9-generic 5.0.1
  Uname: Linux 5.0.0-8-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportLog:
   ERROR: apport (pid 10677) Mon Apr  1 19:40:34 2019: called for pid 8661, 
signal 11, core limit 0, dump mode 1
   ERROR: apport (pid 10677) Mon Apr  1 19:40:34 2019: executable: 
/usr/bin/gedit (command line "/usr/bin/gedit --gapplication-service")
   ERROR: apport (pid 10677) Mon Apr  1 19:40:34 2019: debug: session gdbus 
call: (true,)
   
   ERROR: apport (pid 10677) Mon Apr  1 19:40:42 2019: wrote report 
/var/crash/_usr_bin_gedit.1000.crash
  ApportVersion: 2.20.10-0ubuntu23
  Architecture: amd64
  CrashReports:
   640:1000:117:8118520:2019-04-01 20:06:04.204469680 -0700:2019-04-01 
20:06:05.204469680 -0700:/var/crash/_usr_bin_gedit.1000.crash
   640:1000:117:23602:2019-04-01 20:06:21.172740697 -0700:2019-04-01 
20:06:22.172740697 -0700:/var/crash/_usr_bin_apport-retrace.1000.crash
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Apr  1 20:06:22 2019
  ExecutablePath: /usr/bin/apport-retrace
  InstallationDate: Installed on 2018-04-14 (352 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180414)
  InterpreterPath: /usr/bin/python3.7
  PackageArchitecture: all
  ProcCmdline: /usr/bin/python3 /usr/bin/apport-retrace -S system -C 
/home/username/.cache/apport/retrace -v --output 
/var/crash/_usr_bin_gedit.1000.crash /var/crash/_usr_bin_gedit.1000.crash
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  Python3Details: /usr/bin/python3.7, Python 3.7.3, python3-minimal, 3.7.2-1
  PythonArgs: ['/usr/bin/apport-retrace', '-S', 'system', '-C', 
'/home/username/.cache/apport/retrace', '-v', '--output', 
'/var/crash/_usr_bin_gedit.1000.crash', '/var/crash/_usr_bin_gedit.1000.crash']
  PythonDetails: /usr/bin/python2.7, Python 2.7.16, python-minimal, 2.7.16-1
  SourcePackage: apport
  Title: apport-retrace crashed with SystemError in 
_get_primary_mirror_from_apt_sources(): cannot determine default mirror: 
/etc/apt/sources.list does not contain a valid deb line
  UpgradeStatus: Upgraded to disco on 2019-01-05 (86 days ago)
  UserGroups: adm cdrom dip libvirt lpadmin lxd plugdev sambashare sudo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1822712/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1873614] Re: Definition of add_mountroot_fail_hook doesnt match lvm2's usage

2020-07-01 Thread Johannes Vass
*** This bug is a duplicate of bug 1871154 ***
https://bugs.launchpad.net/bugs/1871154

How would I execute the workaround if I cannot boot? Did anybody else
who couldn't boot solve the issue?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1873614

Title:
  Definition of add_mountroot_fail_hook doesnt match lvm2's usage

Status in initramfs-tools:
  New
Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  Package lvm2 contains a init-premount script named /usr/share
  /initramfs-tools/scripts/init-premount/lvm2

  In this script there is the function call:
  add_mountroot_fail_hook "20-lvm2"

  Which is defined in /usr/share/initramfs-tools/scripts/functions

  In focal's 0.136ubuntu6 , this is defined as:

  add_mountroot_fail_hook()
  {
  mkdir -p /tmp/mountroot-fail-hooks.d
  ln -s "$0" /tmp/mountroot-fail-hooks.d/"$0"
  }

  The final line of the function will execute as
  ln -s "/scripts/lvm2" /tmp/mountroot-fail-hooks.d/"/scripts/lvm2"

  And fail, because directory /tmp/mountroot-fail-hooks.d/scripts does
  not exist.

  It is clear from lvm2's invocation that it expects the symlink to be
  named "20-lvm2" , and if we look at bionic's 0.130ubuntu3.6 that is
  the case:

  add_mountroot_fail_hook()
  {
  mkdir -p /tmp/mountroot-fail-hooks.d
  ln -s "$0" /tmp/mountroot-fail-hooks.d/"$1"
  }

  focal's version needs to be updated to either support the "$1"
  argument or strip the directory from "$0".

To manage notifications about this bug go to:
https://bugs.launchpad.net/initramfs-tools/+bug/1873614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871154] Re: Error message displayed during boot (mountroot hook, premount)

2020-07-01 Thread Johannes Vass
I am experiencing a boot problem on my RaspberryPi 3 B+ which has a 64
Bit Ubuntu 20.04 installed. When I try to boot it, I only see two lines,
the second of which is the error message of this bug. Can this bug be
the cause of my Raspberry not booting? If yes, how would I install the
patch if I cannot boot?

I assume that this bug causes my problems because in the duplicate issue
1873614 other people are reporting boot problems as well.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1871154

Title:
  Error message displayed during boot (mountroot hook, premount)

Status in initramfs-tools package in Ubuntu:
  Fix Released
Status in lvm2 package in Ubuntu:
  Fix Released
Status in initramfs-tools source package in Focal:
  Fix Released
Status in lvm2 source package in Focal:
  Invalid

Bug description:
  [Impact] 
  * People using lvm2 on ubuntu focal are getting a strange and weird message 
due to a wrong path

  [Test Case]
  * Install lvm2 on Ubuntu 20.04

  [Regression Potential] 
  * Low, the fix is already part of groovy

  [Other info]
  Hi,

  my Ubuntu system uses LVM2 for its root file system.  It boots
  correctly, but an ugly error message is displayed during boot.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: lvm2 2.03.07-1ubuntu1
  Uname: Linux 5.6.2-050602-generic x86_64
  ApportVersion: 2.20.11-0ubuntu22
  Architecture: amd64
  CurrentDesktop: KDE
  Date: Mon Apr  6 17:59:03 2020
  SourcePackage: lvm2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1871154/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885948] Re: systemd 229 (16.04) and 237 (18.04) error with "Failed to get properties: Access denied" when ran as non-root user

2020-07-01 Thread Zahid Bukhari
I tried to use "kill -TERM 1" but that didn't work.  Along with daemon-
reload and daemon-reexec, that still hasn't worked.  A key difference
here compared to other similar complaints is that this is with non-root
users, as the root user it's fine.  As such it's not critical, however
as there are some services / units that can be used by users, it may be
an issue for others as sometimes a reboot can't be done.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885948

Title:
  systemd 229 (16.04) and 237 (18.04) error with "Failed to get
  properties: Access denied" when ran as non-root user

Status in systemd package in Ubuntu:
  New

Bug description:
  I've seen this bug reported but almost always it is when being ran as
  root.  This however is only an issue when ran as a non-root user.

  The root user is fine.  I've come across this several times and
  although it's not a major issue, the only solution I've found is to
  reboot the system.

  I see this when running strace, tracing the network.

  We recently installed docker-ce and updated our version of salt from
  2016.8.3 using python 2 to 2019.2.4 using python 3.

  ### 16.04 - systemd 229 on d1lmonitoringdev1 ###

  ## non-root user ##

  $ strace -f -s 16384 -e trace=network systemctl status ntp
  socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
  getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_RCVBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
  setsockopt(3, SOL_SOCKET, SO_RCVBUF, [8388608], 4) = 0
  getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_SNDBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
  setsockopt(3, SOL_SOCKET, SO_SNDBUF, [8388608], 4) = 0
  connect(3, {sa_family=AF_LOCAL, sun_path="/var/run/dbus/system_bus_socket"}, 
33) = 0
  getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
  getsockopt(3, SOL_SOCKET, SO_ACCEPTCONN, [0], [4]) = 0
  getsockname(3, {sa_family=AF_LOCAL, NULL}, [2]) = 0
  sendmsg(3, {msg_name(0)=NULL, msg_iov(3)=[{"\0AUTH EXTERNAL ", 15}, 
{"3130313631", 10}, {"\r\nNEGOTIATE_UNIX_FD\r\nBEGIN\r\n", 28}], 
msg_controllen=0, msg_flags=0}, MSG_DONTWAIT|MSG_NOSIGNAL) = 53
  recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"REJECTED EXTERNAL 
DBUS_COOKIE_SHA1 ANONYMOUS\r\nERROR \"Need to authenticate first\"\r\n", 256}], 
msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, 
MSG_DONTWAIT|MSG_NOSIGNAL|MSG_CMSG_CLOEXEC) = 82
  strace: Process 29413 attached
  [pid 29413] --- SIGCONT {si_signo=SIGCONT, si_code=SI_USER, si_pid=29412, 
si_uid=10161} ---
  Failed to get properties: Access denied
  [pid 29413] +++ exited with 0 +++
  --- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=29413, 
si_uid=10161, si_status=0, si_utime=0, si_stime=0} ---
  +++ exited with 1 +++

  ## root user ##

  # Truncated because as root it works.
  $ sudo strace -f -s 16384 -e trace=network systemctl status ntp
  [sudo] password for zbukhari:
  socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
  getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_RCVBUFFORCE, [8388608], 4) = 0
  getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_SNDBUFFORCE, [8388608], 4) = 0
  connect(3, {sa_family=AF_LOCAL, sun_path="/run/systemd/private"}, 22) = 0
  getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
  getsockopt(3, SOL_SOCKET, SO_ACCEPTCONN, [0], [4]) = 0
  getsockname(3, {sa_family=AF_LOCAL, NULL}, [2]) = 0
  sendmsg(3, {msg_name(0)=NULL, msg_iov(3)=[{"\0AUTH EXTERNAL ", 15}, {"30", 
2}, {"\r\nNEGOTIATE_UNIX_FD\r\nBEGIN\r\n", 28}], msg_controllen=0, 
msg_flags=0}, MSG_DONTWAIT|MSG_NOSIGNAL) = 45
  getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
  recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"OK 
3139491ef18e4f4c84fae863d4dd042f\r\nAGREE_UNIX_FD\r\n", 256}], 
msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, 
MSG_DONTWAIT|MSG_NOSIGNAL|MSG_CMSG_CLOEXEC) = 52
  sendmsg(3, {msg_name(0)=NULL, 
msg_iov(2)=[{"l\1\4\1\5\0\0\0\1\0\0\0\237\0\0\0\1\1o\0,\0\0\0/org/freedesktop/systemd1/unit/ntp_2eservice\0\0\0\0\3\1s\0\6\0\0\
  
0GetAll\0\0\2\1s\0\37\0\0\0org.freedesktop.DBus.Properties\0\6\1s\0\30\0\0\0org.freedesktop.systemd1\0\0\0\0\0\0\0\0\10\1g\0\1s\0\0",
 176}, {"\0\0\0\0\0", 5}], msg_controllen=0, msg_flags=0}, 
MSG_DONTWAIT|MSG_NOSIGNAL) = 181
  recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"l\2\1\1\35 
\0\0\1\0\0\0\23\0\0\0\5\1u\0\1\0\0\0", 24}], msg_controllen=0, 
msg_flags=MSG_CMSG_CLOEXEC}, MSG_DONTWAIT|MSG_NOSIGNAL|MSG_CMSG_CLOEXEC) = 24

  ### 18.04 - systemd 237 on d1lzbbyodev1 ###

  ## non-root user ##
  $ strace -f -s 16384 -e trace=%network systemctl  status ntp
  socket(AF_UNIX, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
  getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], 

[Touch-packages] [Bug 1850966] Re: Stuck at "Refreshing software cache" after enabling repository not updated for Eoan

2020-07-01 Thread Mhamad A.
I also have the problem, and since then, I haven't been able to use
software-properties. (focal)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1850966

Title:
  Stuck at "Refreshing software cache" after enabling repository not
  updated for Eoan

Status in software-properties package in Ubuntu:
  Confirmed

Bug description:
  Steps to reproduce:
  1. Open Software and Updates
  2. Go to "other software" and enable, for example, a repository disabled 
during upgrade to Eoan which is not updated for Eoan yet
  3. Press close and then reload on the dialog that opens.
  4. Refreshing software cache dialog is stuck

  After closing the dialogs by right clicking on the windows and the
  open apps bar, re opening Software and updates only shows a white
  square you can't interact with.

  Ubuntu 19.10

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1850966/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885948] Re: systemd 229 (16.04) and 237 (18.04) error with "Failed to get properties: Access denied" when ran as non-root user

2020-07-01 Thread Zahid Bukhari
** Description changed:

  I've seen this bug reported but almost always it is when being ran as
  root.  This however is only an issue when ran as a non-root user.
  
  The root user is fine.  I've come across this several times and although
  it's not a major issue, the only solution I've found is to reboot the
  system.
  
  I see this when running strace, tracing the network.
  
  We recently installed docker-ce and updated our version of salt from
  2016.8.3 using python 2 to 2019.2.4 using python 3.
  
  ### 16.04 - systemd 229 on d1lmonitoringdev1 ###
  
  ## non-root user ##
  
  $ strace -f -s 16384 -e trace=network systemctl status ntp
  socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
  getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_RCVBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
  setsockopt(3, SOL_SOCKET, SO_RCVBUF, [8388608], 4) = 0
  getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_SNDBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
  setsockopt(3, SOL_SOCKET, SO_SNDBUF, [8388608], 4) = 0
  connect(3, {sa_family=AF_LOCAL, sun_path="/var/run/dbus/system_bus_socket"}, 
33) = 0
  getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
  getsockopt(3, SOL_SOCKET, SO_ACCEPTCONN, [0], [4]) = 0
  getsockname(3, {sa_family=AF_LOCAL, NULL}, [2]) = 0
  sendmsg(3, {msg_name(0)=NULL, msg_iov(3)=[{"\0AUTH EXTERNAL ", 15}, 
{"3130313631", 10}, {"\r\nNEGOTIATE_UNIX_FD\r\nBEGIN\r\n", 28}], 
msg_controllen=0, msg_flags=0}, MSG_DONTWAIT|MSG_NOSIGNAL) = 53
  recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"REJECTED EXTERNAL 
DBUS_COOKIE_SHA1 ANONYMOUS\r\nERROR \"Need to authenticate first\"\r\n", 256}], 
msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, 
MSG_DONTWAIT|MSG_NOSIGNAL|MSG_CMSG_CLOEXEC) = 82
  strace: Process 29413 attached
  [pid 29413] --- SIGCONT {si_signo=SIGCONT, si_code=SI_USER, si_pid=29412, 
si_uid=10161} ---
  Failed to get properties: Access denied
  [pid 29413] +++ exited with 0 +++
  --- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=29413, 
si_uid=10161, si_status=0, si_utime=0, si_stime=0} ---
  +++ exited with 1 +++
  
  ## root user ##
  
  # Truncated because as root it works.
  $ sudo strace -f -s 16384 -e trace=network systemctl status ntp
  [sudo] password for zbukhari:
  socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
  getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_RCVBUFFORCE, [8388608], 4) = 0
  getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_SNDBUFFORCE, [8388608], 4) = 0
  connect(3, {sa_family=AF_LOCAL, sun_path="/run/systemd/private"}, 22) = 0
  getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
  getsockopt(3, SOL_SOCKET, SO_ACCEPTCONN, [0], [4]) = 0
  getsockname(3, {sa_family=AF_LOCAL, NULL}, [2]) = 0
  sendmsg(3, {msg_name(0)=NULL, msg_iov(3)=[{"\0AUTH EXTERNAL ", 15}, {"30", 
2}, {"\r\nNEGOTIATE_UNIX_FD\r\nBEGIN\r\n", 28}], msg_controllen=0, 
msg_flags=0}, MSG_DONTWAIT|MSG_NOSIGNAL) = 45
  getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
  recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"OK 
3139491ef18e4f4c84fae863d4dd042f\r\nAGREE_UNIX_FD\r\n", 256}], 
msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, 
MSG_DONTWAIT|MSG_NOSIGNAL|MSG_CMSG_CLOEXEC) = 52
  sendmsg(3, {msg_name(0)=NULL, 
msg_iov(2)=[{"l\1\4\1\5\0\0\0\1\0\0\0\237\0\0\0\1\1o\0,\0\0\0/org/freedesktop/systemd1/unit/ntp_2eservice\0\0\0\0\3\1s\0\6\0\0\
  
0GetAll\0\0\2\1s\0\37\0\0\0org.freedesktop.DBus.Properties\0\6\1s\0\30\0\0\0org.freedesktop.systemd1\0\0\0\0\0\0\0\0\10\1g\0\1s\0\0",
 176}, {"\0\0\0\0\0", 5}], msg_controllen=0, msg_flags=0}, 
MSG_DONTWAIT|MSG_NOSIGNAL) = 181
  recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"l\2\1\1\35 
\0\0\1\0\0\0\23\0\0\0\5\1u\0\1\0\0\0", 24}], msg_controllen=0, 
msg_flags=MSG_CMSG_CLOEXEC}, MSG_DONTWAIT|MSG_NOSIGNAL|MSG_CMSG_CLOEXEC) = 24
  
  ### 18.04 - systemd 237 on d1lzbbyodev1 ###
  
  ## non-root user ##
- 
- $ strace -f -e trace=%network systemctl  status ntp
+ $ strace -f -s 16384 -e trace=%network systemctl  status ntp
  socket(AF_UNIX, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
  getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_RCVBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
  setsockopt(3, SOL_SOCKET, SO_RCVBUF, [8388608], 4) = 0
  getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) = 0
  setsockopt(3, SOL_SOCKET, SO_SNDBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
  setsockopt(3, SOL_SOCKET, SO_SNDBUF, [8388608], 4) = 0
  connect(3, {sa_family=AF_UNIX, sun_path="/run/dbus/system_bus_socket"}, 29) = 0
  getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
- getsockopt(3, SOL_SOCKET, SO_PEERSEC, 0x5586565b8450, [64]) = -1 ENOPROTOOPT 
(Protocol not available)
+ getsockopt(3, SOL_SOCKET, SO_PEERSEC, 

[Touch-packages] [Bug 1885948] [NEW] systemd 229 (16.04) and 237 (18.04) error with "Failed to get properties: Access denied" when ran as non-root user

2020-07-01 Thread Zahid Bukhari
Public bug reported:

I've seen this bug reported but almost always it is when being ran as
root.  This however is only an issue when ran as a non-root user.

The root user is fine.  I've come across this several times and although
it's not a major issue, the only solution I've found is to reboot the
system.

I see this when running strace, tracing the network.

We recently installed docker-ce and updated our version of salt from
2016.8.3 using python 2 to 2019.2.4 using python 3.

### 16.04 - systemd 229 on d1lmonitoringdev1 ###

## non-root user ##

$ strace -f -s 16384 -e trace=network systemctl status ntp
socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) = 0
setsockopt(3, SOL_SOCKET, SO_RCVBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
setsockopt(3, SOL_SOCKET, SO_RCVBUF, [8388608], 4) = 0
getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) = 0
setsockopt(3, SOL_SOCKET, SO_SNDBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
setsockopt(3, SOL_SOCKET, SO_SNDBUF, [8388608], 4) = 0
connect(3, {sa_family=AF_LOCAL, sun_path="/var/run/dbus/system_bus_socket"}, 
33) = 0
getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
getsockopt(3, SOL_SOCKET, SO_ACCEPTCONN, [0], [4]) = 0
getsockname(3, {sa_family=AF_LOCAL, NULL}, [2]) = 0
sendmsg(3, {msg_name(0)=NULL, msg_iov(3)=[{"\0AUTH EXTERNAL ", 15}, 
{"3130313631", 10}, {"\r\nNEGOTIATE_UNIX_FD\r\nBEGIN\r\n", 28}], 
msg_controllen=0, msg_flags=0}, MSG_DONTWAIT|MSG_NOSIGNAL) = 53
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"REJECTED EXTERNAL DBUS_COOKIE_SHA1 
ANONYMOUS\r\nERROR \"Need to authenticate first\"\r\n", 256}], 
msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, 
MSG_DONTWAIT|MSG_NOSIGNAL|MSG_CMSG_CLOEXEC) = 82
strace: Process 29413 attached
[pid 29413] --- SIGCONT {si_signo=SIGCONT, si_code=SI_USER, si_pid=29412, 
si_uid=10161} ---
Failed to get properties: Access denied
[pid 29413] +++ exited with 0 +++
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=29413, si_uid=10161, 
si_status=0, si_utime=0, si_stime=0} ---
+++ exited with 1 +++

## root user ##

# Truncated because as root it works.
$ sudo strace -f -s 16384 -e trace=network systemctl status ntp
[sudo] password for zbukhari:
socket(PF_LOCAL, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) = 0
setsockopt(3, SOL_SOCKET, SO_RCVBUFFORCE, [8388608], 4) = 0
getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) = 0
setsockopt(3, SOL_SOCKET, SO_SNDBUFFORCE, [8388608], 4) = 0
connect(3, {sa_family=AF_LOCAL, sun_path="/run/systemd/private"}, 22) = 0
getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
getsockopt(3, SOL_SOCKET, SO_ACCEPTCONN, [0], [4]) = 0
getsockname(3, {sa_family=AF_LOCAL, NULL}, [2]) = 0
sendmsg(3, {msg_name(0)=NULL, msg_iov(3)=[{"\0AUTH EXTERNAL ", 15}, {"30", 2}, 
{"\r\nNEGOTIATE_UNIX_FD\r\nBEGIN\r\n", 28}], msg_controllen=0, msg_flags=0}, 
MSG_DONTWAIT|MSG_NOSIGNAL) = 45
getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"OK 
3139491ef18e4f4c84fae863d4dd042f\r\nAGREE_UNIX_FD\r\n", 256}], 
msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, 
MSG_DONTWAIT|MSG_NOSIGNAL|MSG_CMSG_CLOEXEC) = 52
sendmsg(3, {msg_name(0)=NULL, 
msg_iov(2)=[{"l\1\4\1\5\0\0\0\1\0\0\0\237\0\0\0\1\1o\0,\0\0\0/org/freedesktop/systemd1/unit/ntp_2eservice\0\0\0\0\3\1s\0\6\0\0\
0GetAll\0\0\2\1s\0\37\0\0\0org.freedesktop.DBus.Properties\0\6\1s\0\30\0\0\0org.freedesktop.systemd1\0\0\0\0\0\0\0\0\10\1g\0\1s\0\0",
 176}, {"\0\0\0\0\0", 5}], msg_controllen=0, msg_flags=0}, 
MSG_DONTWAIT|MSG_NOSIGNAL) = 181
recvmsg(3, {msg_name(0)=NULL, msg_iov(1)=[{"l\2\1\1\35 
\0\0\1\0\0\0\23\0\0\0\5\1u\0\1\0\0\0", 24}], msg_controllen=0, 
msg_flags=MSG_CMSG_CLOEXEC}, MSG_DONTWAIT|MSG_NOSIGNAL|MSG_CMSG_CLOEXEC) = 24

### 18.04 - systemd 237 on d1lzbbyodev1 ###

## non-root user ##
$ strace -f -s 16384 -e trace=%network systemctl  status ntp
socket(AF_UNIX, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) = 0
setsockopt(3, SOL_SOCKET, SO_RCVBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
setsockopt(3, SOL_SOCKET, SO_RCVBUF, [8388608], 4) = 0
getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) = 0
setsockopt(3, SOL_SOCKET, SO_SNDBUFFORCE, [8388608], 4) = -1 EPERM (Operation 
not permitted)
setsockopt(3, SOL_SOCKET, SO_SNDBUF, [8388608], 4) = 0
connect(3, {sa_family=AF_UNIX, sun_path="/run/dbus/system_bus_socket"}, 29) = 0
getsockopt(3, SOL_SOCKET, SO_PEERCRED, {pid=1, uid=0, gid=0}, [12]) = 0
getsockopt(3, SOL_SOCKET, SO_PEERSEC, 0x56338b39b450, [64]) = -1 ENOPROTOOPT 
(Protocol not available)
getsockopt(3, SOL_SOCKET, SO_PEERGROUPS, "", [256->0]) = 0
getsockopt(3, SOL_SOCKET, SO_ACCEPTCONN, [0], [4]) = 0
getsockname(3, {sa_family=AF_UNIX}, [128->2]) = 0
sendmsg(3, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="\0AUTH EXTERNAL 
", 

[Touch-packages] [Bug 1865300] Re: gnome-shell-hotplug-sniffer crashed with SIGSEGV in g_str_hash() from g_hash_table_lookup() from deep_count_more_files_callback()

2020-07-01 Thread Treviño
After 12 days in proposed I see that e.u.c has only one report, that
looks to be more a false positive or a crash that isn't due to the same
root case of this bug, so I'd say we can confirm this bug.

** Tags removed: verification-needed verification-needed-focal
** Tags added: verification-done verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1865300

Title:
  gnome-shell-hotplug-sniffer crashed with SIGSEGV in g_str_hash() from
  g_hash_table_lookup() from deep_count_more_files_callback()

Status in GNOME Shell:
  Unknown
Status in glib2.0 package in Ubuntu:
  Invalid
Status in gnome-shell package in Ubuntu:
  Fix Released
Status in gnome-shell source package in Focal:
  Fix Committed

Bug description:
  [ Impact ]

  gnome-shell-hotplug-sniffer crashes when attaching some device that
  may have files with unknown content type

  [ Test case ]

  - Plug a media, but it's not yet known which kind of files cause this issue,
so we should just monitor the e.u.c crash:
https://errors.ubuntu.com/problem/2edf29b9677e3de0d55d2114024f39c4c52b45e9

  [ Regression potential ]

  - No valid application for opening a media is shown by gnome-shell

  ---

  This is for 3.34:

  https://errors.ubuntu.com/problem/b6069e75f805530e3c7722835d567cfdb84f2fec

  ---

  Happened during normal use of the desktop.

  ProblemType: CrashDistroRelease: Ubuntu 20.04
  Package: gnome-shell 3.34.3-1ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
  Uname: Linux 5.4.0-14-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair wl
  ApportVersion: 2.20.11-0ubuntu18
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Feb 29 19:51:58 2020
  DisplayManager: gdm3
  ExecutablePath: /usr/lib/gnome-shell/gnome-shell-hotplug-sniffer
  InstallationDate: Installed on 2020-01-25 (35 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Alpha amd64 (20200117)
  ProcCmdline: /usr/lib/gnome-shell/gnome-shell-hotplug-sniffer
  RelatedPackageVersions: mutter-common 3.34.3-1ubuntu1
  SegvAnalysis:
   Segfault happened at: 0x7f5f54fa6444 : movsbl (%rdi),%eax
   PC (0x7f5f54fa6444) ok
   source "(%rdi)" (0x) not located in a known VMA region (needed 
readable region)!
   destination "%eax" ok
  SegvReason: reading NULL VMA
  Signal: 11SourcePackage: gnome-shell
  StacktraceTop:
   g_str_hash () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
   g_hash_table_lookup () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
   ?? ()
   ?? () from /lib/x86_64-linux-gnu/libgio-2.0.so.0
   ?? () from /lib/x86_64-linux-gnu/libgio-2.0.so.0
  Title: gnome-shell-hotplug-sniffer crashed with SIGSEGV in g_str_hash()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip docker lpadmin lxd plugdev sambashare sudo
  separator:

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell/+bug/1865300/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885941] [NEW] Bug on boot

2020-07-01 Thread Nicholas Cook
Public bug reported:

See attached detailed file. Just started reporting internal system
errors on boot up. Not sure why this has started - don't think I've
installed anything recently to spark it off but there was a system
update recently.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu3.1
ProcVersionSignature: Ubuntu 4.4.0-184.214-generic 4.4.223
Uname: Linux 4.4.0-184-generic x86_64
.tmp.unity_support_test.0:
 
ApportVersion: 2.20.1-0ubuntu2.23
Architecture: amd64
CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Wed Jul  1 18:06:26 2020
DistUpgraded: 2020-05-30 23:46:52,273 DEBUG icon theme changed, re-reading
DistroCodename: xenial
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller 
[8086:2a42] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] Mobile 4 Series Chipset Integrated 
Graphics Controller [1025:013c]
   Subsystem: Acer Incorporated [ALI] Mobile 4 Series Chipset Integrated 
Graphics Controller [1025:013c]
InstallationDate: Installed on 2020-05-30 (31 days ago)
InstallationMedia: Ubuntu 14.04.4 LTS "Trusty Tahr" - Release amd64 (20160217.1)
MachineType: Acer Extensa 5630
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-184-generic 
root=UUID=7db4d8a4-7f23-45ec-99b9-fd99f55368aa ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: Upgraded to xenial on 2020-05-30 (31 days ago)
dmi.bios.date: 12/05/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.25
dmi.board.name: Homa
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: 
dmi:bvnPhoenixTechnologiesLTD:bvrV1.25:bd12/05/2008:svnAcer:pnExtensa5630:pvr0100:rvnAcer:rnHoma:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Extensa 5630
dmi.product.version: 0100
dmi.sys.vendor: Acer
version.compiz: compiz 1:0.9.12.3+16.04.20180221-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.91-2~16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.5-0ubuntu0~16.04.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.5-0ubuntu0~16.04.1
version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1.2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Wed Jul  1 17:25:18 2020
xserver.configfile: default
xserver.errors:
 /dev/dri/card0: failed to set DRM interface version 1.4: Permission denied
 /dev/dri/card0: failed to set DRM interface version 1.4: Permission denied
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id5460 
 vendor CMO
xserver.version: 2:1.18.4-0ubuntu0.8

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug compiz-0.9 ubuntu xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1885941

Title:
  Bug on boot

Status in xorg package in Ubuntu:
  New

Bug description:
  See attached detailed file. Just started reporting internal system
  errors on boot up. Not sure why this has started - don't think I've
  installed anything recently to spark it off but there was a system
  update recently.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3.1
  ProcVersionSignature: Ubuntu 4.4.0-184.214-generic 4.4.223
  Uname: Linux 4.4.0-184-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2.23
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Wed Jul  1 18:06:26 2020
  DistUpgraded: 2020-05-30 23:46:52,273 DEBUG icon theme changed, re-reading
  DistroCodename: xenial
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller 
[8086:2a42] (rev 07) (prog-if 00 [VGA controller])
 Subsystem: Acer Incorporated [ALI] Mobile 4 Series Chipset Integrated 
Graphics Controller [1025:013c]
  

[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Ubuntu Foundations Team Bug Bot
** Tags added: patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 827151] Re: Annoying log message "DIGEST-MD5 common mech free"

2020-07-01 Thread Kartik Subbarao
This happens on 20.04 as well:

# lsb_release -d
Description:Ubuntu 20.04 LTS
# repeat 10 ldapsearch -x -b cn=config > /dev/null
# journalctl -n 10
-- Logs begin at Thu 2020-04-23 13:12:44 EDT, end at Wed 2020-07-01 12:20:49 
EDT. --
Jul 01 12:20:48 hostname ldapsearch[727817]: DIGEST-MD5 common mech free
Jul 01 12:20:48 hostname ldapsearch[727818]: DIGEST-MD5 common mech free
Jul 01 12:20:48 hostname ldapsearch[727819]: DIGEST-MD5 common mech free
Jul 01 12:20:48 hostname ldapsearch[727820]: DIGEST-MD5 common mech free
Jul 01 12:20:48 hostname ldapsearch[727821]: DIGEST-MD5 common mech free
Jul 01 12:20:49 hostname ldapsearch[727822]: DIGEST-MD5 common mech free
Jul 01 12:20:49 hostname ldapsearch[727823]: DIGEST-MD5 common mech free
Jul 01 12:20:49 hostname ldapsearch[727824]: DIGEST-MD5 common mech free
Jul 01 12:20:49 hostname ldapsearch[727825]: DIGEST-MD5 common mech free
Jul 01 12:20:49 hostname ldapsearch[727826]: DIGEST-MD5 common mech free

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cyrus-sasl2 in Ubuntu.
https://bugs.launchpad.net/bugs/827151

Title:
  Annoying log message "DIGEST-MD5 common mech free"

Status in Cyrus-sasl2:
  New
Status in cyrus-sasl2 package in Ubuntu:
  Fix Released
Status in cyrus-sasl2 source package in Trusty:
  Triaged
Status in cyrus-sasl2 source package in Xenial:
  Incomplete
Status in cyrus-sasl2 source package in Yakkety:
  Fix Released
Status in cyrus-sasl2 package in Debian:
  Fix Released

Bug description:
  I recently updated the libsasl2-modules to 
2.1.24~rc1.dfsg1+cvs2011-05-23-4ubuntu1 in oneiric.
  That triggered the bug also described in Debian here: 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631932

  The annoying message is logged in auth.log. In my case, it is associated with 
svnserve:
  svnserve: DIGEST-MD5 common mech free

  I'm not exactly sure what action triggers the message, but I can
  investigate more if required.

  $ lsb_release -rd
  Description:Ubuntu oneiric (development branch)
  Release:11.10

To manage notifications about this bug go to:
https://bugs.launchpad.net/cyrus-sasl2/+bug/827151/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Dariusz Gadomski
The patches I've uploaded implement the Solution B from the description.

It actually applies only to Bionic, but I believe it's worth having it
in Focal if it gets FIPS certification and for Groovy - to keep it for
the future releases.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884326] Re: SRU the current 2.48.7 stable update

2020-07-01 Thread Olivier Tilloy
Brian: librsvg is indeed not a direct dependency of the gnome-core
metapackage, however it is a direct dependency of other core components
and apps such as gnome-shell and eog. In that regard I think it
qualifies, but we should probably clarify the policy to clearly map to
https://gitlab.gnome.org/GNOME/gnome-build-meta/-/tree/master/elements.

Regardless, this is a bugfix update and the desktop team would like to
update it as a SRU, thanks for considering it!

** Changed in: librsvg (Ubuntu Focal)
   Status: Incomplete => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1884326

Title:
  SRU the current 2.48.7 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  Fix Committed

Bug description:
  * Impact
  That's the current GNOME stable update, which fixes a number of issues: 
https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  * Test case

  The update is part of GNOME stable updates
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1884326/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Dariusz Gadomski
groovy fix

** Patch added: "groovy.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+attachment/5388751/+files/groovy.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Dariusz Gadomski
Focal debdiff reupload

** Patch added: "focal.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+attachment/5388755/+files/focal.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Dariusz Gadomski
SRU proposal for bionic

** Patch removed: "focal.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+attachment/5388752/+files/focal.debdiff

** Patch removed: "groovy.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+attachment/5388751/+files/groovy.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Dariusz Gadomski
Bionic debdiff reupload

** Patch added: "bionic.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+attachment/5388756/+files/bionic.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Dariusz Gadomski
Groovy debdiff re-upload

** Patch added: "groovy.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+attachment/5388754/+files/groovy.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Dariusz Gadomski
SRU proposal for Focal

May be useful if it gets FIPS-certified.

** Patch added: "focal.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+attachment/5388752/+files/focal.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Richard Maciel Costa
** Changed in: nss (Ubuntu)
 Assignee: (unassigned) => Richard Maciel Costa (richardmaciel)

** Changed in: nss (Ubuntu Bionic)
 Assignee: (unassigned) => Richard Maciel Costa (richardmaciel)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1840725] Re: Microphone not working in Ubuntu 18.04.3 LTS on new hp-spectre-x360-convertible-15 laptop

2020-07-01 Thread Oleg Prosekov
Hi Dell G3 (DMI: Dell Inc. G3 3590/0201H1, BIOS 1.6.0 08/08/2019) 
with the same issue (internal mic doesn't work, with external headset works)

~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:Ubuntu 18.04.4 LTS
Release:18.04
Codename:   bionic

~$ uname -a
Linux ws165 5.3.0-61-generic #55~18.04.1-Ubuntu SMP Mon Jun 22 16:40:20 UTC 
2020 x86_64 x86_64 x86_64 GNU/Linux

~$ arecord -l
 List of CAPTURE Hardware Devices 
card 0: PCH [HDA Intel PCH], device 0: ALC3254 Analog [ALC3254 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 2: ALC3254 Alt Analog [ALC3254 Alt Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1840725

Title:
  Microphone not working in Ubuntu 18.04.3 LTS on new hp-
  spectre-x360-convertible-15 laptop

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  Internal Microphone does not work in Ubuntu 18.04.3 LTS in a new hp-
  spectre-x360-convertible-15 laptop. The microphone works perfectly on
  Windows 10 (present in Dual boot mode).

  Initially, Internal Microphone was not even detected but installing
  alsa-tools-gui and overriding pin 0x12 to the Internal Microphone
  fixed that issue. [Pin 0x13 does not work and causes static in a
  headphone if it is plugged in.]

  Microphone is not able to pick up any sound. I changed levels/settings in 
alsamixer, pavucontrol without any success:
  In alsamixer: Experimented with levels ranging from very low to very high for 
Internal Mic, Capture, etc.
  In pavucontrol: Set the Internal Mic as a fallback device, unlocked the 
channels for the mic, experimented with reducing the level for one of the 
channels (reduced right mic level to Silence while keeping the left mic level 
normal/high and vice versa).

  alsa-info:
  http://alsa-project.org/db/?f=cf6d3ccc6372f955da7d99df07afbcb31d5a6c7f

  arecord -l
   List of CAPTURE Hardware Devices 
  card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
Subdevices: 1/1
Subdevice #0: subdevice #0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1840725/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882583] Re: [SRU] Enable support for Victoria Cloud Archive

2020-07-01 Thread Corey Bryant
Verified successfully:

root@f1:~# apt policy software-properties-common
software-properties-common:
  Installed: 0.98.9.1
  Candidate: 0.98.9.1
  Version table:
 *** 0.98.9.1 500
500 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages
100 /var/lib/dpkg/status
 0.98.9 500
500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages

root@f1:~# sudo add-apt-repository cloud-archive:victoria --yes
sudo: setrlimit(RLIMIT_CORE): Operation not permitted  
Reading package lists...
Building dependency tree... 
 
Reading state information...
 
The following package was automatically installed and is no longer required:
  libfreetype6  
 
Use 'sudo apt autoremove' to remove it.
The following NEW packages will be installed:   
  ubuntu-cloud-keyring  
 
0 upgraded, 1 newly installed, 0 to remove and 19 not upgraded. 
 
Need to get 5848 B of archives. 
 
After this operation, 22.5 kB of additional disk space will be used.
 
Get:1 http://archive.ubuntu.com/ubuntu focal/main amd64 ubuntu-cloud-keyring 
all 2020.02.11.2 [5848 B]

Fetched 5848 B in 2s (3046 B/s)
Selecting previously unselected package ubuntu-cloud-keyring.
(Reading database ... 31250 files and directories currently installed.)
Preparing to unpack .../ubuntu-cloud-keyring_2020.02.11.2_all.deb ...
Unpacking ubuntu-cloud-keyring (2020.02.11.2) ...
Setting up ubuntu-cloud-keyring (2020.02.11.2) ...
Hit:1 http://security.ubuntu.com/ubuntu focal-security InRelease
Hit:2 http://archive.ubuntu.com/ubuntu focal InRelease  
 
Hit:3 http://archive.ubuntu.com/ubuntu focal-updates InRelease
Hit:4 http://archive.ubuntu.com/ubuntu focal-proposed InRelease
Hit:5 http://archive.ubuntu.com/ubuntu focal-backports InRelease
 
Ign:6 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-updates/victoria 
InRelease
Get:7 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-updates/victoria 
Release [7811 B]
Get:8 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-updates/victoria 
Release.gpg [836 B] 


Get:9 http://ubuntu-cloud.archive.canonical.com/ubuntu 
focal-updates/victoria/main amd64 Packages [18.2 kB]

   
Fetched 26.9 kB in 31s (865 B/s)


  
Reading package lists... Done

root@f1:~# sudo add-apt-repository cloud-archive:victoria-proposed --yes
sudo: setrlimit(RLIMIT_CORE): Operation not permitted
Reading package lists...
Building dependency tree...
Reading state information...
ubuntu-cloud-keyring is already the newest version (2020.02.11.2).
The following package was automatically installed and is no longer required:
  libfreetype6
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
Hit:1 http://security.ubuntu.com/ubuntu focal-security InRelease
Hit:2 http://archive.ubuntu.com/ubuntu focal InRelease  
  
Ign:3 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-proposed/victoria 
InRelease  
Hit:4 http://archive.ubuntu.com/ubuntu focal-updates InRelease
Ign:5 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-updates/victoria 
InRelease
Hit:6 http://archive.ubuntu.com/ubuntu focal-proposed InRelease
Hit:7 http://archive.ubuntu.com/ubuntu focal-backports InRelease
Get:8 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-proposed/victoria 
Release [7849 B]
Hit:9 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-updates/victoria 
Release

[Touch-packages] [Bug 1885914] Re: Drop obsolete Unicode patch

2020-07-01 Thread Sebastien Bacher
** Changed in: ibus (Ubuntu Focal)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1885914

Title:
  Drop obsolete Unicode patch

Status in ibus package in Ubuntu:
  Fix Released
Status in ibus source package in Focal:
  Fix Committed

Bug description:
  [Impact]

  The Ubuntu 20.04 IBus version includes a patch, which was necessary in
  18.04 to make the Ctrl+Shift+u shortcut work, but which has become
  obsolete later. Currently it prevents users from replacing
  Ctrl+Shift+u with some other shortcut to avoid conflicts with other
  applications.

  See also:
  * Bug #1885749
  * https://github.com/ibus/ibus/issues/2163

  In the proposed upload that patch has been dropped.

  [Test Case]

  1. Launch ibus-setup and navigate to the Emoji tab.
  2. Change the Unicode code point shortcut to something else.
  3. Find that the original shortcut is still effective.
  4. Install the ibus packages from focal-proposed.
  5. Repeat 1. and 2.
  6. Find that the new shortcut works while the original
 shortcut no longer works.

  [Regression Potential]

  Important to confirm that the default Ctrl+Shift+u shortcut works as
  intended without the patch. Otherwise the regression risk should be
  low.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885914/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885749] Re: Enhancement: Remove default Emoji shortcuts

2020-07-01 Thread Gunnar Hjalmarsson
I submitted bug #1885914, which is somewhat related to this one.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1885749

Title:
  Enhancement: Remove default Emoji shortcuts

Status in ibus package in Ubuntu:
  Won't Fix

Bug description:
  Current Situation
  ===

  (1) 
  Per default ibus preferences are hidden in Ubuntu
  (I would say it's very difficult to reach ibus feature)

  (2) 
  ibus has two default shortcuts, apparently for Emoji-something: 
 - Ctrl+shift+e 
 - Ctrl+shift+u

  (2.1) 
  These shortcuts can prevent shortcuts from other applications being used (one 
example: VSCode's "show files"

  (2.2) 
  Because of (1) it's extremely difficult to change these shortcuts, if they 
cause any problems - Especially because of (2.3).

  (2.3) 
  The user has no way of knowing that ibus introduced these shortcuts (because 
they would only use Settings->Region & Language, which does not show any 
shortcut options)

  (3)
  I guess the Emoji shortcuts ( (2) ) have no benefit for a normal user. Reason 
(guess): The normal user would not understand what to do after pressing the 
shortcut)

  
  Suggestion
  
  Remove shortcuts as a default setting

  
  Misc
  
  - Why is this bug not filed in github.com/ibus/ibus/issues?
-> Because in ibus as standalone, where the user has a direction connection 
to it, it might make sense to keep the shortcuts. For the moment I would say 
this is a Ubuntu related issue, as ubuntu is hiding the dialog. (... why is the 
dialog gui even installed, if we don't was to show it? ...)

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: ibus 1.5.22-2ubuntu2 [modified: 
usr/share/applications/org.freedesktop.IBus.Setup.desktop]
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jul  1 00:55:25 2020
  InstallationDate: Installed on 2020-06-29 (1 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885749/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885901] Re: timedatectl reports wrong status for timesyncd in core18

2020-07-01 Thread Oliver Grawert
theer we go ... thanks a lot dimitri, i opened

https://github.com/snapcore/core18/issues/157

** Bug watch added: github.com/snapcore/core18/issues #157
   https://github.com/snapcore/core18/issues/157

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885901

Title:
  timedatectl reports wrong status for timesyncd in core18

Status in systemd package in Ubuntu:
  Incomplete
Status in systemd source package in Bionic:
  Incomplete
Status in systemd source package in Focal:
  Incomplete
Status in systemd source package in Groovy:
  Incomplete

Bug description:
  when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
  systemd-timesyncd.service ... 

  sadly it does report it wrongly (the tool reports it inactive while
  the service is actually running):

  ogra@pi4:~$ timedatectl
Local time: Wed 2020-07-01 10:52:48 UTC
Universal time: Wed 2020-07-01 10:52:48 UTC
  RTC time: n/a
 Time zone: n/a (UTC, +)
 System clock synchronized: yes
  systemd-timesyncd.service active: no
   RTC in local TZ: no
  ogra@pi4:~$ systemctl status systemd-timesyncd.service
  ● systemd-timesyncd.service - Network Time Synchronization
 Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
 Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
   Docs: man:systemd-timesyncd.service(8)
   Main PID: 779 (systemd-timesyn)
 Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
  Tasks: 2 (limit: 4915)
 CGroup: /system.slice/systemd-timesyncd.service
 └─779 /lib/systemd/systemd-timesyncd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885914] Re: Drop obsolete Unicode patch

2020-07-01 Thread Gunnar Hjalmarsson
** Patch added: "ibus_lp1885914_focal.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885914/+attachment/5388729/+files/ibus_lp1885914_focal.debdiff

** Tags added: patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1885914

Title:
  Drop obsolete Unicode patch

Status in ibus package in Ubuntu:
  Fix Released
Status in ibus source package in Focal:
  In Progress

Bug description:
  [Impact]

  The Ubuntu 20.04 IBus version includes a patch, which was necessary in
  18.04 to make the Ctrl+Shift+u shortcut work, but which has become
  obsolete later. Currently it prevents users from replacing
  Ctrl+Shift+u with some other shortcut to avoid conflicts with other
  applications.

  See also:
  * Bug #1885749
  * https://github.com/ibus/ibus/issues/2163

  In the proposed upload that patch has been dropped.

  [Test Case]

  1. Launch ibus-setup and navigate to the Emoji tab.
  2. Change the Unicode code point shortcut to something else.
  3. Find that the original shortcut is still effective.
  4. Install the ibus packages from focal-proposed.
  5. Repeat 1. and 2.
  6. Find that the new shortcut works while the original
 shortcut no longer works.

  [Regression Potential]

  Important to confirm that the default Ctrl+Shift+u shortcut works as
  intended without the patch. Otherwise the regression risk should be
  low.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885914/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885901] Re: timedatectl reports wrong status for timesyncd in core18

2020-07-01 Thread Dimitri John Ledkov
bugs specific to core are at
https://github.com/snapcore/core18/issues/new or
https://github.com/snapcore/core20/issues/new as appropriate

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885901

Title:
  timedatectl reports wrong status for timesyncd in core18

Status in systemd package in Ubuntu:
  Incomplete
Status in systemd source package in Bionic:
  Incomplete
Status in systemd source package in Focal:
  Incomplete
Status in systemd source package in Groovy:
  Incomplete

Bug description:
  when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
  systemd-timesyncd.service ... 

  sadly it does report it wrongly (the tool reports it inactive while
  the service is actually running):

  ogra@pi4:~$ timedatectl
Local time: Wed 2020-07-01 10:52:48 UTC
Universal time: Wed 2020-07-01 10:52:48 UTC
  RTC time: n/a
 Time zone: n/a (UTC, +)
 System clock synchronized: yes
  systemd-timesyncd.service active: no
   RTC in local TZ: no
  ogra@pi4:~$ systemctl status systemd-timesyncd.service
  ● systemd-timesyncd.service - Network Time Synchronization
 Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
 Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
   Docs: man:systemd-timesyncd.service(8)
   Main PID: 779 (systemd-timesyn)
 Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
  Tasks: 2 (limit: 4915)
 CGroup: /system.slice/systemd-timesyncd.service
 └─779 /lib/systemd/systemd-timesyncd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885901] Re: timedatectl reports wrong status for timesyncd in core18

2020-07-01 Thread Oliver Grawert
i dont know where you guys track core bugs either since foundations took
over the responsibility Ubuntu Core with core 18...

i can not reproduce it on classic anywhere but on each core18 image i
have running at my house ...

the customer that initially reported it uses core18, so it is important
to get it fixed there, regardless if it works in core 20 (i'll do some
testing though, but i currently do not have any core20 installs around).

it is likely just core specific (confinement, the different way of
assembling the rootfs or the fact that timedatectl has a wrapper on
core)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885901

Title:
  timedatectl reports wrong status for timesyncd in core18

Status in systemd package in Ubuntu:
  Incomplete
Status in systemd source package in Bionic:
  Incomplete
Status in systemd source package in Focal:
  Incomplete
Status in systemd source package in Groovy:
  Incomplete

Bug description:
  when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
  systemd-timesyncd.service ... 

  sadly it does report it wrongly (the tool reports it inactive while
  the service is actually running):

  ogra@pi4:~$ timedatectl
Local time: Wed 2020-07-01 10:52:48 UTC
Universal time: Wed 2020-07-01 10:52:48 UTC
  RTC time: n/a
 Time zone: n/a (UTC, +)
 System clock synchronized: yes
  systemd-timesyncd.service active: no
   RTC in local TZ: no
  ogra@pi4:~$ systemctl status systemd-timesyncd.service
  ● systemd-timesyncd.service - Network Time Synchronization
 Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
 Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
   Docs: man:systemd-timesyncd.service(8)
   Main PID: 779 (systemd-timesyn)
 Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
  Tasks: 2 (limit: 4915)
 CGroup: /system.slice/systemd-timesyncd.service
 └─779 /lib/systemd/systemd-timesyncd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885914] [NEW] Drop obsolete Unicode patch

2020-07-01 Thread Gunnar Hjalmarsson
Public bug reported:

[Impact]

The Ubuntu 20.04 IBus version includes a patch, which was necessary in
18.04 to make the Ctrl+Shift+u shortcut work, but which has become
obsolete later. Currently it prevents users from replacing Ctrl+Shift+u
with some other shortcut to avoid conflicts with other applications.

See also:
* Bug #1885749
* https://github.com/ibus/ibus/issues/2163

In the proposed upload that patch has been dropped.

[Test Case]

1. Launch ibus-setup and navigate to the Emoji tab.
2. Change the Unicode code point shortcut to something else.
3. Find that the original shortcut is still effective.
4. Install the ibus packages from focal-proposed.
5. Repeat 1. and 2.
6. Find that the new shortcut works while the original
   shortcut no longer works.

[Regression Potential]

Important to confirm that the default Ctrl+Shift+u shortcut works as
intended without the patch. Otherwise the regression risk should be low.

** Affects: ibus (Ubuntu)
 Importance: Undecided
 Status: Fix Released

** Affects: ibus (Ubuntu Focal)
 Importance: Medium
 Assignee: Gunnar Hjalmarsson (gunnarhj)
 Status: In Progress

** Also affects: ibus (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: ibus (Ubuntu)
   Status: New => Fix Released

** Changed in: ibus (Ubuntu Focal)
   Importance: Undecided => Medium

** Changed in: ibus (Ubuntu Focal)
   Status: New => In Progress

** Changed in: ibus (Ubuntu Focal)
 Assignee: (unassigned) => Gunnar Hjalmarsson (gunnarhj)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1885914

Title:
  Drop obsolete Unicode patch

Status in ibus package in Ubuntu:
  Fix Released
Status in ibus source package in Focal:
  In Progress

Bug description:
  [Impact]

  The Ubuntu 20.04 IBus version includes a patch, which was necessary in
  18.04 to make the Ctrl+Shift+u shortcut work, but which has become
  obsolete later. Currently it prevents users from replacing
  Ctrl+Shift+u with some other shortcut to avoid conflicts with other
  applications.

  See also:
  * Bug #1885749
  * https://github.com/ibus/ibus/issues/2163

  In the proposed upload that patch has been dropped.

  [Test Case]

  1. Launch ibus-setup and navigate to the Emoji tab.
  2. Change the Unicode code point shortcut to something else.
  3. Find that the original shortcut is still effective.
  4. Install the ibus packages from focal-proposed.
  5. Repeat 1. and 2.
  6. Find that the new shortcut works while the original
 shortcut no longer works.

  [Regression Potential]

  Important to confirm that the default Ctrl+Shift+u shortcut works as
  intended without the patch. Otherwise the regression risk should be
  low.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885914/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885901] Re: timedatectl reports wrong status for timesyncd in core18

2020-07-01 Thread Balint Reczey
BTW does it work in Core 20?

** Changed in: systemd (Ubuntu Focal)
   Status: New => Incomplete

** Changed in: systemd (Ubuntu Bionic)
   Status: New => Incomplete

** Changed in: systemd (Ubuntu Groovy)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885901

Title:
  timedatectl reports wrong status for timesyncd in core18

Status in systemd package in Ubuntu:
  Incomplete
Status in systemd source package in Bionic:
  Incomplete
Status in systemd source package in Focal:
  Incomplete
Status in systemd source package in Groovy:
  Incomplete

Bug description:
  when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
  systemd-timesyncd.service ... 

  sadly it does report it wrongly (the tool reports it inactive while
  the service is actually running):

  ogra@pi4:~$ timedatectl
Local time: Wed 2020-07-01 10:52:48 UTC
Universal time: Wed 2020-07-01 10:52:48 UTC
  RTC time: n/a
 Time zone: n/a (UTC, +)
 System clock synchronized: yes
  systemd-timesyncd.service active: no
   RTC in local TZ: no
  ogra@pi4:~$ systemctl status systemd-timesyncd.service
  ● systemd-timesyncd.service - Network Time Synchronization
 Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
 Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
   Docs: man:systemd-timesyncd.service(8)
   Main PID: 779 (systemd-timesyn)
 Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
  Tasks: 2 (limit: 4915)
 CGroup: /system.slice/systemd-timesyncd.service
 └─779 /lib/systemd/systemd-timesyncd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885901] Re: timedatectl reports wrong status for timesyncd in core18

2020-07-01 Thread Balint Reczey
Sorry, it may be a valid bug, but may need more triaging.

** Changed in: systemd (Ubuntu Bionic)
   Status: Invalid => New

** Changed in: systemd (Ubuntu Focal)
   Status: Invalid => New

** Changed in: systemd (Ubuntu Groovy)
   Status: Invalid => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885901

Title:
  timedatectl reports wrong status for timesyncd in core18

Status in systemd package in Ubuntu:
  Incomplete
Status in systemd source package in Bionic:
  Incomplete
Status in systemd source package in Focal:
  Incomplete
Status in systemd source package in Groovy:
  Incomplete

Bug description:
  when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
  systemd-timesyncd.service ... 

  sadly it does report it wrongly (the tool reports it inactive while
  the service is actually running):

  ogra@pi4:~$ timedatectl
Local time: Wed 2020-07-01 10:52:48 UTC
Universal time: Wed 2020-07-01 10:52:48 UTC
  RTC time: n/a
 Time zone: n/a (UTC, +)
 System clock synchronized: yes
  systemd-timesyncd.service active: no
   RTC in local TZ: no
  ogra@pi4:~$ systemctl status systemd-timesyncd.service
  ● systemd-timesyncd.service - Network Time Synchronization
 Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
 Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
   Docs: man:systemd-timesyncd.service(8)
   Main PID: 779 (systemd-timesyn)
 Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
  Tasks: 2 (limit: 4915)
 CGroup: /system.slice/systemd-timesyncd.service
 └─779 /lib/systemd/systemd-timesyncd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885901] Re: timedatectl reports wrong status for timesyncd in core18

2020-07-01 Thread Balint Reczey
So far this was unreproducible  in an armhf lxc container running on arm64 host.
Do you have a reproducer for Ubuntu Classic?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885901

Title:
  timedatectl reports wrong status for timesyncd in core18

Status in systemd package in Ubuntu:
  Incomplete
Status in systemd source package in Bionic:
  Incomplete
Status in systemd source package in Focal:
  Incomplete
Status in systemd source package in Groovy:
  Incomplete

Bug description:
  when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
  systemd-timesyncd.service ... 

  sadly it does report it wrongly (the tool reports it inactive while
  the service is actually running):

  ogra@pi4:~$ timedatectl
Local time: Wed 2020-07-01 10:52:48 UTC
Universal time: Wed 2020-07-01 10:52:48 UTC
  RTC time: n/a
 Time zone: n/a (UTC, +)
 System clock synchronized: yes
  systemd-timesyncd.service active: no
   RTC in local TZ: no
  ogra@pi4:~$ systemctl status systemd-timesyncd.service
  ● systemd-timesyncd.service - Network Time Synchronization
 Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
 Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
   Docs: man:systemd-timesyncd.service(8)
   Main PID: 779 (systemd-timesyn)
 Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
  Tasks: 2 (limit: 4915)
 CGroup: /system.slice/systemd-timesyncd.service
 └─779 /lib/systemd/systemd-timesyncd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881094] Re: Support kernel 5.4 Intel sound driver on bionic

2020-07-01 Thread Kai-Chuan Hsieh
Test on Dell Inspiron 7591 from stock Ubuntu

Have found a issue on the hardware, lp: 1885713.
Proceed the test by the following step:

1. add bionic-proposed to source list 
2. $ sudo apt install linux-firmware
3. $ sudo apt install pulseaudio

internal speaker + DMIC: ok
headset Mic + Headphone: ok
HDMI out to display with speaker: ok

4. $ sudo apt install linux-generic-hwe-18.04-edge

internal speaker + DMIC: ok
Headset Mic + Headphone: ok
HDMI output to display with speaker: ok

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1881094

Title:
  Support kernel 5.4 Intel sound driver on bionic

Status in OEM Priority Project:
  In Progress
Status in pulseaudio package in Ubuntu:
  Invalid
Status in pulseaudio source package in Bionic:
  Fix Committed

Bug description:
  [Impact]

   * Some Intel platform bionic user audio function will be broken after
  upgrade to kernel 5.4

   * pulseaudio can't find working profile, since card name is changed
  in kernel 5.4

  [Test Case]

   * install kernel 5.4 and check audio function
     1. enable Pre-released updates in Developer Options
    Software & Updates > Developer Options > Pre-released updates 
(bionic-proposed)
     2. $ sudo apt update
     3. $ sudo apt install linux-generic-hwe-18.04-edge
     4. $ sudo reboot

   * install updated linux-firmware and pulseaudio
     $ sudo add-apt-repository ppa:kchsieh/training
     $ sudo apt-get update
     $ sudo apt install linux-firmware
     $ sudo apt install pulseaudio
     $ sudo reboot

   * test items
     1. check internal speaker/mic to playback and record audio
     2. plug headset and check headset functions
     3. plug HDMI from external monitor/TV, and check audio functions
     4. 1, 2, 3 works fine after resume from suspend

  [Regression Potential]

   * The updated pulseaudio breaks audio function on old kernel

  [Scope]

   * Need for bionic only

  [Bug Discussion]

   * https://bugs.launchpad.net/timbuktu/+bug/1880632
   * MP: 
https://code.launchpad.net/~kchsieh/pulseaudio/+git/bionic-1880632/+merge/384610

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1881094/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-01 Thread Dariusz Gadomski
** Description changed:

  In FIPS mode there are some additional checks performed.
  
  They lead to verifying binaries signatures. Those signatures are shipped
  in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).
  
  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so
  
  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.
  
  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.
  
  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).
  
  Solution B:
+ Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).
+ 
+ Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  New
Status in nss source package in Bionic:
  New

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885901] Re: timedatectl reports wrong status for timesyncd in core18

2020-07-01 Thread Balint Reczey
Works in Ubuntu Classic it seems.
Where are Ubuntu Core bugs tracked? Please reassign this but there.

** Changed in: systemd (Ubuntu Groovy)
   Status: New => Invalid

** Changed in: systemd (Ubuntu Focal)
   Status: New => Invalid

** Changed in: systemd (Ubuntu Bionic)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885901

Title:
  timedatectl reports wrong status for timesyncd in core18

Status in systemd package in Ubuntu:
  New
Status in systemd source package in Bionic:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Groovy:
  New

Bug description:
  when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
  systemd-timesyncd.service ... 

  sadly it does report it wrongly (the tool reports it inactive while
  the service is actually running):

  ogra@pi4:~$ timedatectl
Local time: Wed 2020-07-01 10:52:48 UTC
Universal time: Wed 2020-07-01 10:52:48 UTC
  RTC time: n/a
 Time zone: n/a (UTC, +)
 System clock synchronized: yes
  systemd-timesyncd.service active: no
   RTC in local TZ: no
  ogra@pi4:~$ systemctl status systemd-timesyncd.service
  ● systemd-timesyncd.service - Network Time Synchronization
 Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
 Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
   Docs: man:systemd-timesyncd.service(8)
   Main PID: 779 (systemd-timesyn)
 Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
  Tasks: 2 (limit: 4915)
 CGroup: /system.slice/systemd-timesyncd.service
 └─779 /lib/systemd/systemd-timesyncd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1829399] Re: Lid switch triggered suspend takes much longer than UI triggered suspend

2020-07-01 Thread HolgerT
I can confirm behavior on my Xubuntu 20.04 x86_64 package. Suspend mode
is "assigned" to power button. Not until round about 30 seconds after
pressing the button, the PC goes into suspend mode.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1829399

Title:
  Lid switch triggered suspend takes much longer than UI triggered
  suspend

Status in linux package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  IBM T460
  5.0.0-13-generic #14-Ubuntu SMP Mon Apr 15 14:59:14 UTC 2019 x86_64 x86_64 
x86_64 GNU/Linux

  
  When triggering a suspend even from the lid switch of my Lenovo T460 it takes 
30 seconds to reach suspend state. Several others with different models of 
Lenovo laptops have also reproduced this issue. 

  It seems this is isolated to the lid switch as UI triggered suspend
  (alt+power icon) is far faster.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1829399/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885749] Re: Enhancement: Remove default Emoji shortcuts

2020-07-01 Thread Gunnar Hjalmarsson
@Sebastien: Hmm.. That upstream issue talks about Ctrl+. which is a
shortcut I was unaware of. It's apparently something else but
Ctrl+Shift+e, where IBus is involved somehow, and which just as
Ctrl+Shift+u conflicts with shortcuts in certain applications as the OP
pointed out in the bug description.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1885749

Title:
  Enhancement: Remove default Emoji shortcuts

Status in ibus package in Ubuntu:
  Won't Fix

Bug description:
  Current Situation
  ===

  (1) 
  Per default ibus preferences are hidden in Ubuntu
  (I would say it's very difficult to reach ibus feature)

  (2) 
  ibus has two default shortcuts, apparently for Emoji-something: 
 - Ctrl+shift+e 
 - Ctrl+shift+u

  (2.1) 
  These shortcuts can prevent shortcuts from other applications being used (one 
example: VSCode's "show files"

  (2.2) 
  Because of (1) it's extremely difficult to change these shortcuts, if they 
cause any problems - Especially because of (2.3).

  (2.3) 
  The user has no way of knowing that ibus introduced these shortcuts (because 
they would only use Settings->Region & Language, which does not show any 
shortcut options)

  (3)
  I guess the Emoji shortcuts ( (2) ) have no benefit for a normal user. Reason 
(guess): The normal user would not understand what to do after pressing the 
shortcut)

  
  Suggestion
  
  Remove shortcuts as a default setting

  
  Misc
  
  - Why is this bug not filed in github.com/ibus/ibus/issues?
-> Because in ibus as standalone, where the user has a direction connection 
to it, it might make sense to keep the shortcuts. For the moment I would say 
this is a Ubuntu related issue, as ubuntu is hiding the dialog. (... why is the 
dialog gui even installed, if we don't was to show it? ...)

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: ibus 1.5.22-2ubuntu2 [modified: 
usr/share/applications/org.freedesktop.IBus.Setup.desktop]
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jul  1 00:55:25 2020
  InstallationDate: Installed on 2020-06-29 (1 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885749/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885749] Re: Enhancement: Remove default Emoji shortcuts

2020-07-01 Thread Gunnar Hjalmarsson
$ gsettings get org.freedesktop.ibus.panel.emoji unicode-hotkey
['u']
$ gsettings get org.freedesktop.ibus.panel.emoji hotkey
['e']

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1885749

Title:
  Enhancement: Remove default Emoji shortcuts

Status in ibus package in Ubuntu:
  Won't Fix

Bug description:
  Current Situation
  ===

  (1) 
  Per default ibus preferences are hidden in Ubuntu
  (I would say it's very difficult to reach ibus feature)

  (2) 
  ibus has two default shortcuts, apparently for Emoji-something: 
 - Ctrl+shift+e 
 - Ctrl+shift+u

  (2.1) 
  These shortcuts can prevent shortcuts from other applications being used (one 
example: VSCode's "show files"

  (2.2) 
  Because of (1) it's extremely difficult to change these shortcuts, if they 
cause any problems - Especially because of (2.3).

  (2.3) 
  The user has no way of knowing that ibus introduced these shortcuts (because 
they would only use Settings->Region & Language, which does not show any 
shortcut options)

  (3)
  I guess the Emoji shortcuts ( (2) ) have no benefit for a normal user. Reason 
(guess): The normal user would not understand what to do after pressing the 
shortcut)

  
  Suggestion
  
  Remove shortcuts as a default setting

  
  Misc
  
  - Why is this bug not filed in github.com/ibus/ibus/issues?
-> Because in ibus as standalone, where the user has a direction connection 
to it, it might make sense to keep the shortcuts. For the moment I would say 
this is a Ubuntu related issue, as ubuntu is hiding the dialog. (... why is the 
dialog gui even installed, if we don't was to show it? ...)

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: ibus 1.5.22-2ubuntu2 [modified: 
usr/share/applications/org.freedesktop.IBus.Setup.desktop]
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jul  1 00:55:25 2020
  InstallationDate: Installed on 2020-06-29 (1 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885749/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885901] Re: timedatectl reports wrong status for timesyncd in core18

2020-07-01 Thread Oliver Grawert
any fix should be SRUed into the respective LTS releases for Ubuntu
Core, added tasks for them

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885901

Title:
  timedatectl reports wrong status for timesyncd in core18

Status in systemd package in Ubuntu:
  New
Status in systemd source package in Bionic:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Groovy:
  New

Bug description:
  when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
  systemd-timesyncd.service ... 

  sadly it does report it wrongly (the tool reports it inactive while
  the service is actually running):

  ogra@pi4:~$ timedatectl
Local time: Wed 2020-07-01 10:52:48 UTC
Universal time: Wed 2020-07-01 10:52:48 UTC
  RTC time: n/a
 Time zone: n/a (UTC, +)
 System clock synchronized: yes
  systemd-timesyncd.service active: no
   RTC in local TZ: no
  ogra@pi4:~$ systemctl status systemd-timesyncd.service
  ● systemd-timesyncd.service - Network Time Synchronization
 Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
 Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
   Docs: man:systemd-timesyncd.service(8)
   Main PID: 779 (systemd-timesyn)
 Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
  Tasks: 2 (limit: 4915)
 CGroup: /system.slice/systemd-timesyncd.service
 └─779 /lib/systemd/systemd-timesyncd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885901] [NEW] timedatectl reports wrong status for timesyncd in core18

2020-07-01 Thread Oliver Grawert
Public bug reported:

when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
systemd-timesyncd.service ... 

sadly it does report it wrongly (the tool reports it inactive while the
service is actually running):

ogra@pi4:~$ timedatectl
  Local time: Wed 2020-07-01 10:52:48 UTC
  Universal time: Wed 2020-07-01 10:52:48 UTC
RTC time: n/a
   Time zone: n/a (UTC, +)
   System clock synchronized: yes
systemd-timesyncd.service active: no
 RTC in local TZ: no
ogra@pi4:~$ systemctl status systemd-timesyncd.service
● systemd-timesyncd.service - Network Time Synchronization
   Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
   Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
 Docs: man:systemd-timesyncd.service(8)
 Main PID: 779 (systemd-timesyn)
   Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
Tasks: 2 (limit: 4915)
   CGroup: /system.slice/systemd-timesyncd.service
   └─779 /lib/systemd/systemd-timesyncd

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New

** Affects: systemd (Ubuntu Bionic)
 Importance: Undecided
 Status: New

** Affects: systemd (Ubuntu Focal)
 Importance: Undecided
 Status: New

** Affects: systemd (Ubuntu Groovy)
 Importance: Undecided
 Status: New

** Also affects: systemd (Ubuntu Groovy)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Focal)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885901

Title:
  timedatectl reports wrong status for timesyncd in core18

Status in systemd package in Ubuntu:
  New
Status in systemd source package in Bionic:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Groovy:
  New

Bug description:
  when calling timedatectl in Ubuntu Core 18 the tool reports the status of the
  systemd-timesyncd.service ... 

  sadly it does report it wrongly (the tool reports it inactive while
  the service is actually running):

  ogra@pi4:~$ timedatectl
Local time: Wed 2020-07-01 10:52:48 UTC
Universal time: Wed 2020-07-01 10:52:48 UTC
  RTC time: n/a
 Time zone: n/a (UTC, +)
 System clock synchronized: yes
  systemd-timesyncd.service active: no
   RTC in local TZ: no
  ogra@pi4:~$ systemctl status systemd-timesyncd.service
  ● systemd-timesyncd.service - Network Time Synchronization
 Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; disabled; 
vendor preset: enabled)
 Active: active (running) since Tue 2020-06-30 18:06:18 UTC; 16h ago
   Docs: man:systemd-timesyncd.service(8)
   Main PID: 779 (systemd-timesyn)
 Status: "Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com)."
  Tasks: 2 (limit: 4915)
 CGroup: /system.slice/systemd-timesyncd.service
 └─779 /lib/systemd/systemd-timesyncd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885901/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876267] Re: Audio settings strange behaviour with ASUS STXII sound card

2020-07-01 Thread Hui Wang
Oh, that is really good, I thought it will not fix the 1st issue in the
bug description.

About the 2nd issue in the bug description, we have not met this issue
before and have no idea on it yet.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1876267

Title:
  Audio settings strange behaviour with ASUS STXII sound card

Status in gnome-control-center package in Ubuntu:
  New
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  What happens:

  If an Asus STXII 7.1 sound card is installed and another output device
  is present, there is a strange behavior in the Gnome audio settings.

  After the first start of Ubuntu the Asus soundcard is not the default
  device. This can be selected in the Gnome settings. If a different
  speaker configuration is selected now. E.g. stereo instead of 5.1 or
  vice versa, the selection jumps from the Asus output device back to
  the original output device. The Asus sound card can then be selected
  again and the corresponding speaker configuration will fit now.

  If 5.1 is selected as the mode, there is a second problem.
  Moving the balance slider (left / right) moves the slider (front / back) 
slightly as well.
  The slider for lfe is grayed out, even when I enable the lfe remixing in 
/etc/pulse/daemon.conf
  In the speaker test, all 5.1 channels work fine, including the lfe.

  For better illustration I made a screen video. (see attachment)

  This is probably a general bug in Gnome - it has been occurring since
  Ubuntu 18.x and affects all distros that use Gnome since then.
  Unfortunately I was not able to make a report in Gnome, because the
  registration on the Gnome site does not work anymore... Maybe you have
  a good contact to the Gnome team?

  Ubuntu 20.04 LTS (Release 20.04)
  Package: gnome-control-center (1:3.36.1-1ubuntu5)

  Expected behavior:
  It should be possible to select the sound card and the setting should be 
retained even if the speaker configuration is changed. Furthermore, the balance 
sliders should not influence each other.
  Lfe slider should work. (And in a perfect world this would also activate lfe 
remixing and gives the user a cross over frequency option, but this is just an 
idea :)

  BR,
  Mathias
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2020-04-23 (7 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  NonfreeKernelModules: nvidia_modeset nvidia
  Package: pulseaudio
  PackageArchitecture: amd64
  ProcEnviron:
   LANGUAGE=de_AT:de
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=de_AT.UTF-8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-28.32-generic 5.4.30
  Tags:  focal
  Uname: Linux 5.4.0-28-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1876267/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885452] Re: pc freezes and crashes during accountsservice upgrade on fresh ubuntu focal fossa install

2020-07-01 Thread Sebastien Bacher
thanks, it's a bit difficult to read those log, it would help if you
indicated the exact time where you saw the error screen as requested
before, so we could match the log entries.

the newlest log has those error

iun 30 14:54:52 daniel-System-Product-Name /usr/lib/gdm3/gdm-x-session[10147]: 
(EE) NOUVEAU(0): [drm] failed to set drm interface version.
iun 30 14:54:52 daniel-System-Product-Name /usr/lib/gdm3/gdm-x-session[10147]: 
(EE) NOUVEAU(0): [drm] error opening the drm
iun 30 14:54:52 daniel-System-Product-Name /usr/lib/gdm3/gdm-x-session[10147]: 
(EE) NOUVEAU(0): 910:
iun 30 14:54:52 daniel-System-Product-Name /usr/lib/gdm3/gdm-x-session[10147]: 
(II) UnloadModule: "nouveau"
iun 30 14:54:52 daniel-System-Product-Name /usr/lib/gdm3/gdm-x-session[10147]: 
(EE) Screen(s) found, but none have a usable configuration.

** Package changed: accountsservice (Ubuntu) => gnome-session (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to accountsservice in Ubuntu.
https://bugs.launchpad.net/bugs/1885452

Title:
  pc freezes and crashes during accountsservice upgrade on fresh ubuntu
  focal fossa install

Status in gnome-session package in Ubuntu:
  Incomplete

Bug description:
  After a fresh install of Focal Fossa and running sudo apt update and sudo apt 
upgrade, when the upgrade reaches "setting up accountsservice" the PC freezes, 
then crashes. This was reproducible on another computer (laptop). I reinstalled 
Ubuntu and put the package on hold. Later, I found that by installing and 
activating lightdm, this problem was remediated. Found this solution 
accidentally, while I was looking to correct login screen loops after I 
installed the nvidia drivers. This is unrelated, since the laptop does not have 
nvidia.
  ---
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2020-06-29 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  Package: accountsservice 0.6.55-0ubuntu12~20.04.1
  PackageArchitecture: amd64
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Tags:  focal
  Uname: Linux 5.4.0-39-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/1885452/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885749] Re: Enhancement: Remove default Emoji shortcuts

2020-07-01 Thread Sebastien Bacher
Thanks but as Gunnar said those keybindings are useful and not going to
be removed

It could make sense to have them listed in the GNOME settings keybinding
for making them easier to change for users though which has been
requested on https://gitlab.gnome.org/GNOME/gnome-control-
center/-/issues/785

** Changed in: ibus (Ubuntu)
   Importance: Undecided => Wishlist

** Changed in: ibus (Ubuntu)
   Status: New => Won't Fix

** Bug watch added: gitlab.gnome.org/GNOME/gnome-control-center/-/issues #785
   https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/785

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1885749

Title:
  Enhancement: Remove default Emoji shortcuts

Status in ibus package in Ubuntu:
  Won't Fix

Bug description:
  Current Situation
  ===

  (1) 
  Per default ibus preferences are hidden in Ubuntu
  (I would say it's very difficult to reach ibus feature)

  (2) 
  ibus has two default shortcuts, apparently for Emoji-something: 
 - Ctrl+shift+e 
 - Ctrl+shift+u

  (2.1) 
  These shortcuts can prevent shortcuts from other applications being used (one 
example: VSCode's "show files"

  (2.2) 
  Because of (1) it's extremely difficult to change these shortcuts, if they 
cause any problems - Especially because of (2.3).

  (2.3) 
  The user has no way of knowing that ibus introduced these shortcuts (because 
they would only use Settings->Region & Language, which does not show any 
shortcut options)

  (3)
  I guess the Emoji shortcuts ( (2) ) have no benefit for a normal user. Reason 
(guess): The normal user would not understand what to do after pressing the 
shortcut)

  
  Suggestion
  
  Remove shortcuts as a default setting

  
  Misc
  
  - Why is this bug not filed in github.com/ibus/ibus/issues?
-> Because in ibus as standalone, where the user has a direction connection 
to it, it might make sense to keep the shortcuts. For the moment I would say 
this is a Ubuntu related issue, as ubuntu is hiding the dialog. (... why is the 
dialog gui even installed, if we don't was to show it? ...)

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: ibus 1.5.22-2ubuntu2 [modified: 
usr/share/applications/org.freedesktop.IBus.Setup.desktop]
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jul  1 00:55:25 2020
  InstallationDate: Installed on 2020-06-29 (1 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885749/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876267] Re: Audio settings strange behaviour with ASUS STXII sound card

2020-07-01 Thread Mathias
Hi Hui, Thanks!
The fix resolve the problem with the mode selector. Now I can switch between 
stereo and 5.1 without falling back to the default audio device. The problem 
with the sliders is still there... BR, Mathias

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1876267

Title:
  Audio settings strange behaviour with ASUS STXII sound card

Status in gnome-control-center package in Ubuntu:
  New
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  What happens:

  If an Asus STXII 7.1 sound card is installed and another output device
  is present, there is a strange behavior in the Gnome audio settings.

  After the first start of Ubuntu the Asus soundcard is not the default
  device. This can be selected in the Gnome settings. If a different
  speaker configuration is selected now. E.g. stereo instead of 5.1 or
  vice versa, the selection jumps from the Asus output device back to
  the original output device. The Asus sound card can then be selected
  again and the corresponding speaker configuration will fit now.

  If 5.1 is selected as the mode, there is a second problem.
  Moving the balance slider (left / right) moves the slider (front / back) 
slightly as well.
  The slider for lfe is grayed out, even when I enable the lfe remixing in 
/etc/pulse/daemon.conf
  In the speaker test, all 5.1 channels work fine, including the lfe.

  For better illustration I made a screen video. (see attachment)

  This is probably a general bug in Gnome - it has been occurring since
  Ubuntu 18.x and affects all distros that use Gnome since then.
  Unfortunately I was not able to make a report in Gnome, because the
  registration on the Gnome site does not work anymore... Maybe you have
  a good contact to the Gnome team?

  Ubuntu 20.04 LTS (Release 20.04)
  Package: gnome-control-center (1:3.36.1-1ubuntu5)

  Expected behavior:
  It should be possible to select the sound card and the setting should be 
retained even if the speaker configuration is changed. Furthermore, the balance 
sliders should not influence each other.
  Lfe slider should work. (And in a perfect world this would also activate lfe 
remixing and gives the user a cross over frequency option, but this is just an 
idea :)

  BR,
  Mathias
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2020-04-23 (7 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  NonfreeKernelModules: nvidia_modeset nvidia
  Package: pulseaudio
  PackageArchitecture: amd64
  ProcEnviron:
   LANGUAGE=de_AT:de
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=de_AT.UTF-8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-28.32-generic 5.4.30
  Tags:  focal
  Uname: Linux 5.4.0-28-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1876267/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883880] Re: fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

2020-07-01 Thread Harry van Haaren (Intel)
Hi Christian,

Thanks for the additional info! Confirm that with the PPA the proposed
checks now pass:

$ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
  8:   0: 62 f1 7c 48 28 04 05vmovaps 0x40(,%rax,1),%zmm0


Also the proposed OVS automake build-system changes will enable avx512 
correctly:
checking binutils avx512 assembler checks passing... yes

I'll wait for the SRU team to accept into proposed. Regards, -Harry

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1883880

Title:
  fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Bionic:
  In Progress

Bug description:
  [Impact]

   * the assembler scales non 8 bit cases which was identified
 to break e.g. some AVX512 code. It is nasty as it isn't a compile/link/ 
 time error. Instead the instructions might silently be corrupted until 
 running. Things might even work on some but fail on other systems if 
 e.g. the AVX code paths only run on newer chips.

* The fix is upstream for a while and not re-changed again. Furthermore 
  it is in several Ubuntu releases without bugs due to that, which should 
  make the backport rather safe.

  [Test Case]

   * Simple example to trigger the bug:

  echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d
  avx.o | grep vmovaps

  The expected output is that the objdump output matches the vmovaps
  instruction input. When using binutils with the bug, the initial 0x40
  will be incorrect.

  Working:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x40(,%rax,1),%zmm0
  Failing:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x1(,%rax,1),%zmm0

  [Regression Potential]

   * Well, this is a double edged sword. On one hand this is fortunately a 
 small change and only affects something formerly clearly broken. So it 
 should be good and only change cases formerly being bad.
 But OTOH binutils areused in so many cases that I feel unable to say
 "nothing will happen". The change goes to the gnu assembler, so that is 
 the place to look out for regressions.

  [Other Info]
   
   * needs a sponsor experienced with binutils to check potential pitfalls


  
  ---

  
  Hi,
  DPDK has run into some issues in the past
   https://bugs.dpdk.org/show_bug.cgi?id=97
   https://bugs.dpdk.org/show_bug.cgi?id=249

  Eventually the issues got resolved in binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=23465

  After binutils is fixed people rebuilding DPDK themselve can use
   http://patches.dpdk.org/patch/71679/
  to gain more performance while on Bionics bintuils level.

  Note: Bionic is on DPDK 17.11.x which will not get further stable release 
afaik. But quite often people build their own DPDK. In fact this came up as a 
request from Openvswitch upstream/Intel to allow such builds on Bionic.
  I'd ping those people about the bug and ask them to participate in the 
verification if this becomes an SRU.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1883880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 520546] Re: [SRU]Alt+KEY incorrectly behaves like Ctrl+Alt+KEY, and/or unwanted VT switch from Alt+Left/Right

2020-07-01 Thread Boris Rybalkin
Fresh (unlike upgrade previously) install of 20.04 fixed it.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to console-setup in Ubuntu.
https://bugs.launchpad.net/bugs/520546

Title:
  [SRU]Alt+KEY incorrectly behaves like Ctrl+Alt+KEY, and/or unwanted VT
  switch from Alt+Left/Right

Status in console-setup package in Ubuntu:
  Fix Released
Status in kbd package in Ubuntu:
  Fix Released
Status in xorg-server package in Ubuntu:
  Invalid
Status in console-setup source package in Xenial:
  Confirmed
Status in kbd source package in Xenial:
  Won't Fix
Status in xorg-server source package in Xenial:
  Confirmed
Status in console-setup source package in Bionic:
  Fix Released
Status in kbd source package in Bionic:
  Won't Fix
Status in linux source package in Bionic:
  Confirmed
Status in xorg-server source package in Bionic:
  Invalid
Status in console-setup source package in Cosmic:
  Fix Released
Status in kbd source package in Cosmic:
  Won't Fix
Status in linux source package in Cosmic:
  Confirmed
Status in xorg-server source package in Cosmic:
  Invalid
Status in console-setup source package in Disco:
  Fix Released
Status in kbd source package in Disco:
  Won't Fix
Status in linux source package in Disco:
  Confirmed
Status in xorg-server source package in Disco:
  Invalid
Status in console-setup source package in Eoan:
  Fix Released
Status in kbd source package in Eoan:
  Fix Released
Status in linux source package in Eoan:
  Confirmed
Status in xorg-server source package in Eoan:
  Invalid

Bug description:
  (kbd)
  [Impact]

   * kbd_mode -u is documented to break keyboards in modes other than xlate and 
unicode, while it is still called by some scripts. Those scripts are called 
transitively by maintainer scripts such as the one already fixed in 
console-setup. 
   * To avoid accidentally breaking keyboards a -f option is added to force 
such breaking mode changes. Without -f only the safe mode changes are performed 
and an error is printed when the requested mode change is not safe. Next 
upstream version will also exit with error, but the cherry-picked fix makes 
kbd_mode return success even when the mode switch is not performed to avoid 
regressions of scripts.

  [Test case]

   * Verify that safe mode switches work and dangerous ones are skipped
  without -f. Please note that the test will temporarily break the
  system's keyboard and it is recommended to run the test in a VM.

  rbalint@MacBookAir-test:~$ sudo kbd_mode -C /dev/tty4; echo $?
  The keyboard is in Unicode (UTF-8) mode
  0
  rbalint@MacBookAir-test:~$ sudo kbd_mode -a -C /dev/tty4; echo $?
  0
  rbalint@MacBookAir-test:~$ sudo kbd_mode -a -C /dev/tty4; echo $?
  0
  rbalint@MacBookAir-test:~$ sudo kbd_mode -C /dev/tty4
  The keyboard is in xlate (8-bit) mode
  rbalint@MacBookAir-test:~$ sudo kbd_mode -u -C /dev/tty4; echo $?
  0
  rbalint@MacBookAir-test:~$ sudo kbd_mode -C /dev/tty4
  The keyboard is in Unicode (UTF-8) mode
  rbalint@MacBookAir-test:~$ sudo kbd_mode -u -C /dev/tty0; echo $?
  The keyboard is in some unknown mode
  Changing to the requested mode may make your keyboard unusable, please use -f 
to force the change.
  0
  rbalint@MacBookAir-test:~$ sudo kbd_mode -f -u -C /dev/tty0; echo $?
  0
  rbalint@MacBookAir-test:~$ sudo kbd_mode -C /dev/tty0
  The keyboard is in Unicode (UTF-8) mode
  rbalint@MacBookAir-test:~$ sudo kbd_mode -s -C /dev/tty0
  rbalint@MacBookAir-test:~$ sudo kbd_mode -C /dev/tty0
  The keyboard is in raw (scancode) mode
  rbalint@MacBookAir-test:~$ sudo kbd_mode -u -C /dev/tty0; echo $?
  The keyboard is in raw (scancode) mode
  Changing to the requested mode may make your keyboard unusable, please use -f 
to force the change.
  0

  [Regression Potential]

   * kbd_mode stops performing breaking mode switches and this may make
  scripts ineffective when trying to perform a breaking change. This is
  the intention of the change and the emitter error helps in finding the
  offending script.

  The following packages found to call kbd_mode directly:
  console-setup
  xinit
  console-cyrillic
  initramfs-tools
  dracut
  console-tools
  xview
  ubiquity's embedded console-setup copy
  console-data
  vnc4

  The console related packages are expected to execute only safe mode
  changes because they should operate on consoles only and the rest seem
  to be safe, too.

  (console-setup)
  [Impact]

   * keyboard-configuration's postinst changes keyboard mode breaking X
  keys.

  [Test Case]

   * Ssh to a system or open a terminal and unset DISPLAY

  $ echo $DISPLAY

  $

   * Check kbd mode, should be raw (set by kbd_mode -s) or unknown:
     $ sudo kbd_mode
     The keyboard is in some unknown mode
     $ sudo kbd_mode
     The keyboard is in raw (scancode) mode
     $

     On Xenial X runs on VT7 thus the graphical environment is not affected in 
the default configuration, but the keyboard-configuration postinst 

[Touch-packages] [Bug 1861082] Re: [SRU] ubuntu-bug doesn't know how to file bugs against snaps

2020-07-01 Thread Lukas Märdian
** Changed in: apport (Ubuntu Focal)
 Assignee: Lukas Märdian (slyon) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861082

Title:
  [SRU] ubuntu-bug doesn't know how to file bugs against snaps

Status in Snapcraft:
  New
Status in snapd:
  Triaged
Status in Snap Store Server:
  New
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  In Progress

Bug description:
  [Impact]
  Users of Ubuntu 20.04 are not able to easily report bugs against applications 
provided as a snap.

  [Test Case]
  Install subiquity snap:
  # sudo snap install subiquity --classic
  subiquity 20.06.1 aus Canonical✓ installiert
  # snap list | grep subiquity
  subiquity   20.06.1  1938  latest/stable  canonical*  classic

  ubuntu-bug subiquity results in message:
  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You are about to report a bug against the deb package, but you
  also a have snap published by canonical installed. You can contact
  them via https://bugs.launchpad.net/subiquity for help. Do you want to
  continue with the bug report against the deb?

  What would you like to do? Your options are:
    Y: Yes
    N: No
    C: Cancel

  === New/Expected Result ===
  ubuntu-bug  should ask the user if he/she wants to 
report the bug against the snap or deb package, if both are installed. If the 
snap is chosen, the "Snap" and "SnapSource" fields should be part of the report:

  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You have two versions of this application installed, which one do
  you want to report a bug against?

  Choices:
    1: subiquity 20.06.1 (stable) snap
    2: subiquity (1938) deb package
    C: Cancel
  Please choose (1/2/C): 1
  .

  *** Send problem report to the developers?

  After the problem report has been sent, please fill out the form in the
  automatically opened web browser.

  What would you like to do? Your options are:
    S: Send report (46.1 KB)
    V: View report
    K: Keep report file for sending later or copying to somewhere else
    I: Cancel and ignore future crashes of this program version
    C: Cancel
  Please choose (S/V/K/I/C): V

  Make sure the following two fields are part of the generated report:
  == Snap =
  subiquity 20.06.1 (stable)

  == SnapSource =
  subiquity

  [Regression Potential]
  Small; the change adds a new add_snap_info() method to report.py and is 
triggered in the ui.py logic only in cases which would have otherwise lead to 
an error message. Furthermore, the change has been uploaded to Groovy some 
while ago where it is being used and tested.

  [Original Bug Report]
  Hello, I had problems with subiquity in the focal live server install image. 
I tried to use 'ubuntu-bug subiquity' to report the bug, but ubuntu-bug 
apparently cannot file bug reports against snaps.

  This is frustrating that users need to know which portions of Ubuntu
  are delivered via debs, which portions are delivered by snaps, and try
  to find a way to report bugs correctly.

  ubuntu-bug should know how to report bugs for Canonical software.

  Thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapcraft/+bug/1861082/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883846] Re: hwdb: Mask rfkill event from intel-hid on HP platforms

2020-07-01 Thread Chih-Hsyuan Ho
@Dan, is it possible for you to speed up the SRU process for this fix
please? We have an OEM platform which is being blocked by this issue and
we are targeting mid-July for its final image. Thank you.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1883846

Title:
  hwdb: Mask rfkill event from intel-hid on HP platforms

Status in HWE Next:
  New
Status in systemd package in Ubuntu:
  Fix Committed
Status in systemd source package in Focal:
  In Progress
Status in systemd source package in Groovy:
  Fix Committed

Bug description:
  [Impact]
  Press wireless hotkey on HP's latest generation laptops generate two rfkill 
events, prevent airplane mode from turning off.

  One event is from intel-hid and the other one is from hp-wireless.

  [Fix]
  Commit "hwdb: Mask rfkill event from intel-hid on HP platforms", to only use 
rfkill from hp-wireless.

  [Test]
  With the one-liner fix, press wireless hotkey only generate one rfkill event, 
hence airplane mode works as expected.

  [Regression Potential]
  Low, use hp-wireless over intel-hid is anticipated.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883846/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 264313] Re: ls --color hangs for directories linked from network

2020-07-01 Thread Max Schillinger
The workaround mentioned works for me. For fish users: Put

eval (dircolors -c | sed 's/or=[^:]*://')

in your `~/.config/fish/config.fish`.

And you have to modify the builtin `ls` function:

cp /usr/share/fish/functions/ls.fish ~/.config/fish/functions/

Then open `~/.config/fish/functions/ls.fish` and comment out this line:

set -a param --indicator-style=classify

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to coreutils in Ubuntu.
https://bugs.launchpad.net/bugs/264313

Title:
  ls --color hangs for directories linked from network

Status in coreutils package in Ubuntu:
  Confirmed

Bug description:
  Binary package hint: coreutils

  ls --color hangs for directories linked from network resources if those 
resources are not available
  I guess it hangs in trying to validate the link ( have not tried to wait and 
see if it times out or not )

  easily reproducible.

  annoying since --color is default

  Running Ubuntu 8.0.4
  2.6.24-21-generic #1 SMP Mon Aug 25 16:57:51 UTC 2008 x86_64 GNU/Linux
  ls (GNU coreutils) 6.10

  ISSUE:

  since ls --color will try to determine if a symlink is broken or not
  (so that it will be correctly coloured), it *will* timeout on vanished
  resources.

  WORKAROUND:

  Inhibit 'ls' from following symlinks (at least in the context of --color):
  eval `dircolors -b | sed s/or=[^:]*://`

  Add the above to your profile.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/coreutils/+bug/264313/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883880] Re: fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

2020-07-01 Thread Christian Ehrhardt 
Hi Harry,
the real action/verification will be needed ocne the SRU team has accepted that 
into proposed [1].
If you want to test the PPA the following will enable it on your system:
  $ sudo add-apt-repository ppa:ci-train-ppa-service/4105

The PPA tells you that on its front page [2] as well, I just happen to
link the sub-page with the package details as I more often want to check
build/version details. I beg your pardon that was my fault not realizing
you could make better use the entry page instead.

[1]: https://wiki.ubuntu.com/StableReleaseUpdates
[2]: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/4105

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1883880

Title:
  fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Bionic:
  In Progress

Bug description:
  [Impact]

   * the assembler scales non 8 bit cases which was identified
 to break e.g. some AVX512 code. It is nasty as it isn't a compile/link/ 
 time error. Instead the instructions might silently be corrupted until 
 running. Things might even work on some but fail on other systems if 
 e.g. the AVX code paths only run on newer chips.

* The fix is upstream for a while and not re-changed again. Furthermore 
  it is in several Ubuntu releases without bugs due to that, which should 
  make the backport rather safe.

  [Test Case]

   * Simple example to trigger the bug:

  echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d
  avx.o | grep vmovaps

  The expected output is that the objdump output matches the vmovaps
  instruction input. When using binutils with the bug, the initial 0x40
  will be incorrect.

  Working:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x40(,%rax,1),%zmm0
  Failing:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x1(,%rax,1),%zmm0

  [Regression Potential]

   * Well, this is a double edged sword. On one hand this is fortunately a 
 small change and only affects something formerly clearly broken. So it 
 should be good and only change cases formerly being bad.
 But OTOH binutils areused in so many cases that I feel unable to say
 "nothing will happen". The change goes to the gnu assembler, so that is 
 the place to look out for regressions.

  [Other Info]
   
   * needs a sponsor experienced with binutils to check potential pitfalls


  
  ---

  
  Hi,
  DPDK has run into some issues in the past
   https://bugs.dpdk.org/show_bug.cgi?id=97
   https://bugs.dpdk.org/show_bug.cgi?id=249

  Eventually the issues got resolved in binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=23465

  After binutils is fixed people rebuilding DPDK themselve can use
   http://patches.dpdk.org/patch/71679/
  to gain more performance while on Bionics bintuils level.

  Note: Bionic is on DPDK 17.11.x which will not get further stable release 
afaik. But quite often people build their own DPDK. In fact this came up as a 
request from Openvswitch upstream/Intel to allow such builds on Bionic.
  I'd ping those people about the bug and ask them to participate in the 
verification if this becomes an SRU.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1883880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876267] Re: Audio settings strange behaviour with ASUS STXII sound card

2020-07-01 Thread Hui Wang
Looks like that g-c-c fix couldn't work on this bug.

@Mathias,

Could you please test the g-c-c with that fix, it is in the:
https://launchpad.net/~hui.wang/+archive/ubuntu/switch-audio  gnome-
control-center 1:3.36.2-0ubuntu1++testswitch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1876267

Title:
  Audio settings strange behaviour with ASUS STXII sound card

Status in gnome-control-center package in Ubuntu:
  New
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  What happens:

  If an Asus STXII 7.1 sound card is installed and another output device
  is present, there is a strange behavior in the Gnome audio settings.

  After the first start of Ubuntu the Asus soundcard is not the default
  device. This can be selected in the Gnome settings. If a different
  speaker configuration is selected now. E.g. stereo instead of 5.1 or
  vice versa, the selection jumps from the Asus output device back to
  the original output device. The Asus sound card can then be selected
  again and the corresponding speaker configuration will fit now.

  If 5.1 is selected as the mode, there is a second problem.
  Moving the balance slider (left / right) moves the slider (front / back) 
slightly as well.
  The slider for lfe is grayed out, even when I enable the lfe remixing in 
/etc/pulse/daemon.conf
  In the speaker test, all 5.1 channels work fine, including the lfe.

  For better illustration I made a screen video. (see attachment)

  This is probably a general bug in Gnome - it has been occurring since
  Ubuntu 18.x and affects all distros that use Gnome since then.
  Unfortunately I was not able to make a report in Gnome, because the
  registration on the Gnome site does not work anymore... Maybe you have
  a good contact to the Gnome team?

  Ubuntu 20.04 LTS (Release 20.04)
  Package: gnome-control-center (1:3.36.1-1ubuntu5)

  Expected behavior:
  It should be possible to select the sound card and the setting should be 
retained even if the speaker configuration is changed. Furthermore, the balance 
sliders should not influence each other.
  Lfe slider should work. (And in a perfect world this would also activate lfe 
remixing and gives the user a cross over frequency option, but this is just an 
idea :)

  BR,
  Mathias
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2020-04-23 (7 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  NonfreeKernelModules: nvidia_modeset nvidia
  Package: pulseaudio
  PackageArchitecture: amd64
  ProcEnviron:
   LANGUAGE=de_AT:de
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=de_AT.UTF-8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-28.32-generic 5.4.30
  Tags:  focal
  Uname: Linux 5.4.0-28-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1876267/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 264313] Re: ls --color hangs for directories linked from network

2020-07-01 Thread Max Schillinger
Same issue in Ubuntu 18.04.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to coreutils in Ubuntu.
https://bugs.launchpad.net/bugs/264313

Title:
  ls --color hangs for directories linked from network

Status in coreutils package in Ubuntu:
  Confirmed

Bug description:
  Binary package hint: coreutils

  ls --color hangs for directories linked from network resources if those 
resources are not available
  I guess it hangs in trying to validate the link ( have not tried to wait and 
see if it times out or not )

  easily reproducible.

  annoying since --color is default

  Running Ubuntu 8.0.4
  2.6.24-21-generic #1 SMP Mon Aug 25 16:57:51 UTC 2008 x86_64 GNU/Linux
  ls (GNU coreutils) 6.10

  ISSUE:

  since ls --color will try to determine if a symlink is broken or not
  (so that it will be correctly coloured), it *will* timeout on vanished
  resources.

  WORKAROUND:

  Inhibit 'ls' from following symlinks (at least in the context of --color):
  eval `dircolors -b | sed s/or=[^:]*://`

  Add the above to your profile.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/coreutils/+bug/264313/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876267] Re: Audio settings strange behaviour with ASUS STXII sound card

2020-07-01 Thread Sebastien Bacher
@Hui, could you check if the issue there would be addressed by the
recent g-c-c fixes you proposed?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1876267

Title:
  Audio settings strange behaviour with ASUS STXII sound card

Status in gnome-control-center package in Ubuntu:
  New
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  What happens:

  If an Asus STXII 7.1 sound card is installed and another output device
  is present, there is a strange behavior in the Gnome audio settings.

  After the first start of Ubuntu the Asus soundcard is not the default
  device. This can be selected in the Gnome settings. If a different
  speaker configuration is selected now. E.g. stereo instead of 5.1 or
  vice versa, the selection jumps from the Asus output device back to
  the original output device. The Asus sound card can then be selected
  again and the corresponding speaker configuration will fit now.

  If 5.1 is selected as the mode, there is a second problem.
  Moving the balance slider (left / right) moves the slider (front / back) 
slightly as well.
  The slider for lfe is grayed out, even when I enable the lfe remixing in 
/etc/pulse/daemon.conf
  In the speaker test, all 5.1 channels work fine, including the lfe.

  For better illustration I made a screen video. (see attachment)

  This is probably a general bug in Gnome - it has been occurring since
  Ubuntu 18.x and affects all distros that use Gnome since then.
  Unfortunately I was not able to make a report in Gnome, because the
  registration on the Gnome site does not work anymore... Maybe you have
  a good contact to the Gnome team?

  Ubuntu 20.04 LTS (Release 20.04)
  Package: gnome-control-center (1:3.36.1-1ubuntu5)

  Expected behavior:
  It should be possible to select the sound card and the setting should be 
retained even if the speaker configuration is changed. Furthermore, the balance 
sliders should not influence each other.
  Lfe slider should work. (And in a perfect world this would also activate lfe 
remixing and gives the user a cross over frequency option, but this is just an 
idea :)

  BR,
  Mathias
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2020-04-23 (7 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  NonfreeKernelModules: nvidia_modeset nvidia
  Package: pulseaudio
  PackageArchitecture: amd64
  ProcEnviron:
   LANGUAGE=de_AT:de
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=de_AT.UTF-8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-28.32-generic 5.4.30
  Tags:  focal
  Uname: Linux 5.4.0-28-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1876267/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885864] Re: evolution-addressbook-factory-subprocess crashed with signal 5 in g_thread_new()

2020-07-01 Thread Apport retracing service
*** This bug is a duplicate of bug 1872240 ***
https://bugs.launchpad.net/bugs/1872240

Thank you for taking the time to report this crash and helping to make
this software better.  This particular crash has already been reported
and is a duplicate of bug #1872240, so is being marked as such.  Please
look at the other bug report to see if there is any missing information
that you can provide, or to see if there is a workaround for the bug.
Additionally, any further discussion regarding the bug should occur in
the other report.  Please continue to report any other bugs you may
find.

** Attachment removed: "CoreDump.gz"
   
https://bugs.launchpad.net/bugs/1885864/+attachment/5388623/+files/CoreDump.gz

** Attachment removed: "Disassembly.txt"
   
https://bugs.launchpad.net/bugs/1885864/+attachment/5388625/+files/Disassembly.txt

** Attachment removed: "ProcMaps.txt"
   
https://bugs.launchpad.net/bugs/1885864/+attachment/5388629/+files/ProcMaps.txt

** Attachment removed: "ProcStatus.txt"
   
https://bugs.launchpad.net/bugs/1885864/+attachment/5388630/+files/ProcStatus.txt

** Attachment removed: "Registers.txt"
   
https://bugs.launchpad.net/bugs/1885864/+attachment/5388631/+files/Registers.txt

** Attachment removed: "Stacktrace.txt"
   
https://bugs.launchpad.net/bugs/1885864/+attachment/5388632/+files/Stacktrace.txt

** Attachment removed: "ThreadStacktrace.txt"
   
https://bugs.launchpad.net/bugs/1885864/+attachment/5388633/+files/ThreadStacktrace.txt

** This bug has been marked a duplicate of private bug 1872240

** Information type changed from Private to Public

** Tags removed: need-amd64-retrace

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to evolution-data-server in
Ubuntu.
https://bugs.launchpad.net/bugs/1885864

Title:
  evolution-addressbook-factory-subprocess crashed with signal 5 in
  g_thread_new()

Status in evolution-data-server package in Ubuntu:
  New

Bug description:
  This is probably one of the many bugs that my Evolution produces, e.g.
  1872240

  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: evolution-data-server 3.28.5-0ubuntu0.18.04.2
  ProcVersionSignature: Ubuntu 4.15.0-38.41-generic 4.15.18
  Uname: Linux 4.15.0-38-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.15
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jul  1 07:30:02 2020
  ExecutablePath: /usr/lib/evolution/evolution-addressbook-factory-subprocess
  InstallationDate: Installed on 2017-10-13 (991 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Beta amd64 (20171012)
  ProcCmdline: /usr/lib/evolution/evolution-addressbook-factory-subprocess 
--factory all --bus-name 
org.gnome.evolution.dataserver.Subprocess.Backend.AddressBookx15908x2 
--own-path 
/org/gnome/evolution/dataserver/Subprocess/Backend/AddressBook/15908/2
  Signal: 5
  SourcePackage: evolution-data-server
  StacktraceTop:
   g_thread_new () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
   () at /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
   () at /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
   () at /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
   () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
  Title: evolution-addressbook-factory-subprocess crashed with signal 5 in 
g_thread_new()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dialout dip kvm libvirt lpadmin plugdev sambashare sudo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1885864/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp